/* browser.c generated by valac 0.56.3, the Vala compiler
 * generated from browser.vala, do not modify */

/*
 Copyright (C) 2018 Christian Dywan <christian@twotoats.de>

 This library is free software; you can redistribute it and/or
 modify it under the terms of the GNU Lesser General Public
 License as published by the Free Software Foundation; either
 version 2.1 of the License, or (at your option) any later version.

 See the file COPYING for the full license text.
*/

#include "midori-core.h"
#include "webkit2/webkit2.h"
#include <glib.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <gtk/gtk.h>
#include <glib-object.h>
#include <gdk/gdk.h>
#include <glib/gi18n-lib.h>
#include <cairo-gobject.h>
#include <libpeas/peas.h>

enum  {
	MIDORI_BROWSER_ACTIVATABLE_DEACTIVATE_SIGNAL,
	MIDORI_BROWSER_ACTIVATABLE_NUM_SIGNALS
};
static guint midori_browser_activatable_signals[MIDORI_BROWSER_ACTIVATABLE_NUM_SIGNALS] = {0};
enum  {
	MIDORI_BROWSER_0_PROPERTY,
	MIDORI_BROWSER_WEB_CONTEXT_PROPERTY,
	MIDORI_BROWSER_IDLE_PROPERTY,
	MIDORI_BROWSER_IS_LOADING_PROPERTY,
	MIDORI_BROWSER_URI_PROPERTY,
	MIDORI_BROWSER_TAB_PROPERTY,
	MIDORI_BROWSER_TRASH_PROPERTY,
	MIDORI_BROWSER_IS_FULLSCREEN_PROPERTY,
	MIDORI_BROWSER_IS_LOCKED_PROPERTY,
	MIDORI_BROWSER_IS_SMALL_PROPERTY,
	MIDORI_BROWSER_ZOOM_LEVEL_PROPERTY,
	MIDORI_BROWSER_NUM_PROPERTIES
};
static GParamSpec* midori_browser_properties[MIDORI_BROWSER_NUM_PROPERTIES];
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_variant_unref0(var) ((var == NULL) ? NULL : (var = (g_variant_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _MidoriBrowserViewSourceData MidoriBrowserViewSourceData;
typedef struct _Block4Data Block4Data;
#define __vala_WebKitNavigationAction_free0(var) ((var == NULL) ? NULL : (var = (_vala_WebKitNavigationAction_free (var), NULL)))
typedef struct _Block5Data Block5Data;

#define MIDORI_TYPE_ABOUT (midori_about_get_type ())
#define MIDORI_ABOUT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), MIDORI_TYPE_ABOUT, MidoriAbout))
#define MIDORI_ABOUT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), MIDORI_TYPE_ABOUT, MidoriAboutClass))
#define MIDORI_IS_ABOUT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), MIDORI_TYPE_ABOUT))
#define MIDORI_IS_ABOUT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), MIDORI_TYPE_ABOUT))
#define MIDORI_ABOUT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), MIDORI_TYPE_ABOUT, MidoriAboutClass))

typedef struct _MidoriAbout MidoriAbout;
typedef struct _MidoriAboutClass MidoriAboutClass;
typedef struct _Block6Data Block6Data;
enum  {
	MIDORI_BROWSER_DEFAULT_TAB_SIGNAL,
	MIDORI_BROWSER_NUM_SIGNALS
};
static guint midori_browser_signals[MIDORI_BROWSER_NUM_SIGNALS] = {0};

struct _MidoriBrowserPrivate {
	WebKitWebContext* _web_context;
	gboolean _idle;
	gboolean _is_loading;
	gchar* _uri;
	MidoriTab* _tab;
	GListStore* _trash;
	gboolean _is_fullscreen;
	gboolean _is_locked;
	gboolean _is_small;
	GMenu* zoom_menu;
	gdouble _zoom_level;
	GtkHeaderBar* panelbar;
	GtkStack* panel;
	GtkHeaderBar* tabbar;
	GtkBox* actionbox;
	GtkToggleButton* panel_toggle;
	MidoriDownloadButton* downloads;
	GtkButton* tab_new;
	GtkButton* toggle_fullscreen;
	GtkMenuButton* app_menu;
	MidoriNavigationbar* navigationbar;
	GtkSearchBar* search;
	GtkSearchEntry* search_entry;
	GList* bindings;
	guint focus_timeout;
};

struct _MidoriBrowserViewSourceData {
	int _state_;
	GObject* _source_object_;
	GAsyncResult* _res_;
	GTask* _async_result;
	MidoriBrowser* self;
	MidoriTab* tab;
	gchar* uri;
	const gchar* _tmp0_;
	const gchar* _tmp1_;
	gchar* _tmp2_;
	GFile* file;
	const gchar* _tmp3_;
	GFile* _tmp4_;
	const gchar* _tmp5_;
	GFileIOStream* stream;
	GFile* _tmp6_;
	GFileIOStream* _tmp7_;
	GFile* _tmp8_;
	GFile* _tmp9_;
	guint8* data;
	WebKitWebResource* _tmp10_;
	gint _tmp11_;
	guint8* _tmp12_;
	gint data_length1;
	gint _data_size_;
	GFileIOStream* _tmp13_;
	GOutputStream* _tmp14_;
	GOutputStream* _tmp15_;
	guint8* _tmp16_;
	gint _tmp16__length1;
	GFileIOStream* _tmp17_;
	GList* files;
	GFile* _tmp18_;
	GFile* _tmp19_;
	GAppInfo* info;
	GAppInfo* _tmp20_;
	GAppInfo* _tmp21_;
	GList* _tmp22_;
	GdkDisplay* _tmp23_;
	GdkAppLaunchContext* _tmp24_;
	GdkAppLaunchContext* _tmp25_;
	GError* _error_;
	const gchar* _tmp26_;
	GError* _tmp27_;
	const gchar* _tmp28_;
	GError* _inner_error0_;
};

struct _Block4Data {
	int _ref_count_;
	MidoriBrowser* self;
	MidoriTab* tab;
};

struct _Block5Data {
	int _ref_count_;
	Block4Data * _data4_;
	MidoriTab* new_tab;
};

struct _Block6Data {
	int _ref_count_;
	MidoriBrowser* self;
	GSimpleAction* action;
	GSimpleAction* show_downloads;
	GSimpleAction* panel_action;
	GSimpleAction* go_back;
	GSimpleAction* go_forward;
	GSimpleAction* reload;
	GSimpleAction* stop;
	MidoriCoreSettings* settings;
};

static gint MidoriBrowser_private_offset;
static gpointer midori_browser_parent_class = NULL;

static GType midori_browser_activatable_get_type_once (void);
static void midori_browser_compactmenu_activated (MidoriBrowser* self);
static void _midori_browser_compactmenu_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                             GVariant* parameter,
                                                                             gpointer self);
static void midori_browser_navigationbar_activated (MidoriBrowser* self);
static void _midori_browser_navigationbar_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                               GVariant* parameter,
                                                                               gpointer self);
static void midori_browser_tab_close_activated (MidoriBrowser* self);
static void _midori_browser_tab_close_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                           GVariant* parameter,
                                                                           gpointer self);
static void midori_browser_close_activated (MidoriBrowser* self);
static void _midori_browser_close_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                       GVariant* parameter,
                                                                       gpointer self);
static void midori_browser_tab_reopen_activated (MidoriBrowser* self);
static void _midori_browser_tab_reopen_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                            GVariant* parameter,
                                                                            gpointer self);
static void midori_browser_goto_activated (MidoriBrowser* self);
static void _midori_browser_goto_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                      GVariant* parameter,
                                                                      gpointer self);
static void midori_browser_tab_previous_activated (MidoriBrowser* self);
static void _midori_browser_tab_previous_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                              GVariant* parameter,
                                                                              gpointer self);
static void midori_browser_tab_next_activated (MidoriBrowser* self);
static void _midori_browser_tab_next_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                          GVariant* parameter,
                                                                          gpointer self);
static void midori_browser_zoom_in_activated (MidoriBrowser* self);
static void _midori_browser_zoom_in_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                         GVariant* parameter,
                                                                         gpointer self);
static void midori_browser_find_activated (MidoriBrowser* self);
static void _midori_browser_find_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                      GVariant* parameter,
                                                                      gpointer self);
static void midori_browser_view_source_activated (MidoriBrowser* self);
static void _midori_browser_view_source_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                             GVariant* parameter,
                                                                             gpointer self);
static void midori_browser_print_activated (MidoriBrowser* self);
static void _midori_browser_print_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                       GVariant* parameter,
                                                                       gpointer self);
static void midori_browser_caret_browsing_activated (MidoriBrowser* self);
static void _midori_browser_caret_browsing_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                                GVariant* parameter,
                                                                                gpointer self);
static void midori_browser_show_inspector_activated (MidoriBrowser* self);
static void _midori_browser_show_inspector_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                                GVariant* parameter,
                                                                                gpointer self);
static void midori_browser_clear_private_data_activated (MidoriBrowser* self);
static void _midori_browser_clear_private_data_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                                    GVariant* parameter,
                                                                                    gpointer self);
static void midori_browser_preferences_activated (MidoriBrowser* self);
static void _midori_browser_preferences_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                             GVariant* parameter,
                                                                             gpointer self);
static void midori_browser_about_activated (MidoriBrowser* self);
static void _midori_browser_about_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                       GVariant* parameter,
                                                                       gpointer self);
static void _g_object_unref0_ (gpointer var);
static inline void _g_list_free__g_object_unref0_ (GList* self);
static void midori_browser_update_decoration_layout (MidoriBrowser* self);
static gboolean midori_browser_real_configure_event (GtkWidget* base,
                                              GdkEventConfigure* event);
VALA_EXTERN void midori_browser_set_is_small (MidoriBrowser* self,
                                  gboolean value);
VALA_EXTERN WebKitWebContext* midori_app_ephemeral_context (MidoriApp* self);
static gboolean midori_browser_real_key_press_event (GtkWidget* base,
                                              GdkEventKey* event);
VALA_EXTERN void midori_browser_set_idle (MidoriBrowser* self,
                              gboolean value);
static void midori_browser_panel_activated (MidoriBrowser* self,
                                     GSimpleAction* action,
                                     GVariant* state);
static void midori_browser_tab_new_activated (MidoriBrowser* self);
static void midori_browser_go_back_activated (MidoriBrowser* self);
static void midori_browser_go_forward_activated (MidoriBrowser* self);
static void midori_browser_tab_reload_activated (MidoriBrowser* self);
static void midori_browser_tab_stop_loading_activated (MidoriBrowser* self);
static void midori_browser_homepage_activated (MidoriBrowser* self);
static GVariant* _variant_new8 (gdouble value);
static void midori_browser_tab_zoom_activated (MidoriBrowser* self,
                                        GAction* action,
                                        GVariant* parameter);
static void midori_browser_tab_by_index_activated (MidoriBrowser* self,
                                            GAction* action,
                                            GVariant* parameter);
static void midori_browser_fullscreen_activated (MidoriBrowser* self);
static void midori_browser_show_downloads_activated (MidoriBrowser* self);
static void midori_browser_find_text (MidoriBrowser* self);
static void midori_browser_find_text_backwards (MidoriBrowser* self,
                                         gboolean backwards);
static void midori_browser_view_source (MidoriBrowser* self,
                                 MidoriTab* tab,
                                 GAsyncReadyCallback _callback_,
                                 gpointer _user_data_);
static void midori_browser_view_source_finish (MidoriBrowser* self,
                                        GAsyncResult* _res_);
static void midori_browser_view_source_data_free (gpointer _data);
static gboolean midori_browser_view_source_co (MidoriBrowserViewSourceData* _data_);
static void midori_browser_view_source_ready (GObject* source_object,
                                       GAsyncResult* _res_,
                                       gpointer _user_data_);
VALA_EXTERN gchar* midori_browser_prompt (MidoriBrowser* self,
                              const gchar* title,
                              const gchar* message,
                              const gchar* confirm,
                              const gchar* text);
static Block4Data* block4_data_ref (Block4Data* _data4_);
static void block4_data_unref (void * _userdata_);
static gboolean ___lambda38_ (MidoriBrowser* self,
                       WebKitPolicyDecision* decision,
                       WebKitPolicyDecisionType type);
static WebKitNavigationAction* _vala_WebKitNavigationAction_copy (WebKitNavigationAction* self);
static void _vala_WebKitNavigationAction_free (WebKitNavigationAction* self);
static gboolean ____lambda38__webkit_web_view_decide_policy (WebKitWebView* _sender,
                                                      WebKitPolicyDecision* decision,
                                                      WebKitPolicyDecisionType type,
                                                      gpointer self);
static GtkWidget* __lambda39_ (Block4Data* _data4_,
                        WebKitNavigationAction* action);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
static void __lambda40_ (Block5Data* _data5_);
static void ___lambda40__webkit_web_view_ready_to_show (WebKitWebView* _sender,
                                                 gpointer self);
static GtkWidget* ___lambda39__webkit_web_view_create (WebKitWebView* _sender,
                                                WebKitNavigationAction* navigation_action,
                                                gpointer self);
static gboolean __lambda41_ (MidoriBrowser* self);
static gboolean ___lambda41__webkit_web_view_enter_fullscreen (WebKitWebView* _sender,
                                                        gpointer self);
static gboolean __lambda42_ (Block4Data* _data4_);
static gboolean ___lambda42__webkit_web_view_leave_fullscreen (WebKitWebView* _sender,
                                                        gpointer self);
static void __lambda43_ (Block4Data* _data4_);
static void ___lambda43__webkit_web_view_close (WebKitWebView* _sender,
                                         gpointer self);
static void __lambda44_ (Block4Data* _data4_,
                  GParamSpec* pspec);
static void ___lambda44__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
VALA_EXTERN GType midori_about_get_type (void) G_GNUC_CONST ;
VALA_EXTERN MidoriAbout* midori_about_new (GtkWindow* parent);
VALA_EXTERN MidoriAbout* midori_about_construct (GType object_type,
                                     GtkWindow* parent);
VALA_EXTERN gboolean midori_browser_get_idle (MidoriBrowser* self);
VALA_EXTERN gboolean midori_browser_get_is_small (MidoriBrowser* self);
VALA_EXTERN gdouble midori_browser_get_zoom_level (MidoriBrowser* self);
VALA_EXTERN void midori_browser_set_zoom_level (MidoriBrowser* self,
                                    gdouble value);
static void g_cclosure_user_marshal_BOOLEAN__VOID (GClosure * closure,
                                            GValue * return_value,
                                            guint n_param_values,
                                            const GValue * param_values,
                                            gpointer invocation_hint,
                                            gpointer marshal_data);
static GObject * midori_browser_constructor (GType type,
                                      guint n_construct_properties,
                                      GObjectConstructParam * construct_properties);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static gboolean _midori_browser___lambda71_ (MidoriBrowser* self,
                                      GdkEventCrossing* event);
static gboolean __midori_browser___lambda71__gtk_widget_enter_notify_event (GtkWidget* _sender,
                                                                     GdkEventCrossing* event,
                                                                     gpointer self);
static gboolean _midori_browser___lambda72_ (MidoriBrowser* self,
                                      GdkEventMotion* event);
static gboolean __midori_browser___lambda72__gtk_widget_motion_notify_event (GtkWidget* _sender,
                                                                      GdkEventMotion* event,
                                                                      gpointer self);
static gboolean _midori_browser___lambda73_ (MidoriBrowser* self,
                                      GdkEventFocus* event);
static gboolean __midori_browser___lambda73__gtk_widget_focus_out_event (GtkWidget* _sender,
                                                                  GdkEventFocus* event,
                                                                  gpointer self);
static void _midori_browser___lambda74_ (MidoriBrowser* self,
                                  GParamSpec* pspec);
static void __lambda75_ (MidoriBrowser* self);
static GVariant* _variant_new9 (const gchar* value);
static GVariant* _variant_new10 (const gchar* value);
static GVariant* _variant_new11 (const gchar* value);
static void ___lambda75__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
static void __lambda76_ (MidoriBrowser* self);
static void ___lambda76__g_object_notify (GObject* _sender,
                                   GParamSpec* pspec,
                                   gpointer self);
VALA_EXTERN MidoriPlugins* midori_plugins_get_default (const gchar* builtin_path);
static void __lambda77_ (MidoriBrowser* self,
                  PeasPluginInfo* info,
                  GObject* extension);
static void ___lambda77__peas_extension_set_extension_added (PeasExtensionSet* _sender,
                                                      PeasPluginInfo* info,
                                                      GObject* exten,
                                                      gpointer self);
static void __lambda78_ (MidoriBrowser* self,
                  PeasPluginInfo* info,
                  GObject* extension);
static void ___lambda78__peas_extension_set_extension_removed (PeasExtensionSet* _sender,
                                                        PeasPluginInfo* info,
                                                        GObject* exten,
                                                        gpointer self);
static void __lambda79_ (MidoriBrowser* self,
                  PeasExtensionSet* extensions,
                  PeasPluginInfo* info,
                  PeasExtension* extension);
static void ___lambda79__peas_extension_set_foreach_func (PeasExtensionSet* set,
                                                   PeasPluginInfo* info,
                                                   PeasExtension* exten,
                                                   gpointer self);
static void __midori_browser___lambda74__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser_tab_by_index_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                      GVariant* parameter,
                                                                      gpointer self);
static void _midori_browser_tab_zoom_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                  GVariant* parameter,
                                                                  gpointer self);
static void _midori_browser_tab_new_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                 GVariant* parameter,
                                                                 gpointer self);
static void _midori_browser_show_downloads_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                        GVariant* parameter,
                                                                        gpointer self);
static void _midori_browser___lambda80_ (Block6Data* _data6_);
static void __midori_browser___lambda80__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser_fullscreen_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                    GVariant* parameter,
                                                                    gpointer self);
static GVariant* _variant_new12 (gboolean value);
static void _midori_browser_panel_activated_g_simple_action_change_state (GSimpleAction* _sender,
                                                                   GVariant* value,
                                                                   gpointer self);
static void _midori_browser___lambda81_ (Block6Data* _data6_,
                                  GtkWidget* widget);
static void __midori_browser___lambda81__gtk_container_add (GtkContainer* _sender,
                                                     GtkWidget* widget,
                                                     gpointer self);
static void _midori_browser_go_back_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                 GVariant* parameter,
                                                                 gpointer self);
static void _midori_browser_go_forward_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                    GVariant* parameter,
                                                                    gpointer self);
static void _midori_browser___lambda82_ (Block6Data* _data6_);
static void __midori_browser___lambda82__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser_tab_reload_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                    GVariant* parameter,
                                                                    gpointer self);
static void _midori_browser_tab_stop_loading_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                          GVariant* parameter,
                                                                          gpointer self);
static void _midori_browser___lambda83_ (Block6Data* _data6_);
static void __midori_browser___lambda83__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser_homepage_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                  GVariant* parameter,
                                                                  gpointer self);
VALA_EXTERN gboolean midori_core_settings_get_homepage_in_toolbar (MidoriCoreSettings* self);
static void _midori_browser___lambda84_ (Block6Data* _data6_);
static void __midori_browser___lambda84__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser___lambda85_ (MidoriBrowser* self,
                                  GParamSpec* pspec);
static void __midori_browser___lambda85__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser___lambda86_ (MidoriBrowser* self);
static gboolean ___lambda87_ (MidoriBrowser* self);
VALA_EXTERN gboolean midori_urlbar_get_blank (MidoriUrlbar* self);
static gboolean ____lambda87__gsource_func (gpointer self);
static void __midori_browser___lambda86__g_object_notify (GObject* _sender,
                                                   GParamSpec* pspec,
                                                   gpointer self);
static void _midori_browser_find_text_gtk_entry_activate (GtkEntry* _sender,
                                                   gpointer self);
static void _midori_browser_find_text_gtk_search_entry_search_changed (GtkSearchEntry* _sender,
                                                                gpointer self);
static void _midori_browser_find_text_gtk_search_entry_next_match (GtkSearchEntry* _sender,
                                                            gpointer self);
static void _midori_browser___lambda88_ (MidoriBrowser* self);
static void __midori_browser___lambda88__gtk_search_entry_previous_match (GtkSearchEntry* _sender,
                                                                   gpointer self);
static void _midori_browser____lambda89_ (MidoriBrowser* self,
                                   GParamSpec* pspec);
static void __midori_browser____lambda89__g_object_notify (GObject* _sender,
                                                    GParamSpec* pspec,
                                                    gpointer self);
VALA_EXTERN void midori_download_button_set_web_context (MidoriDownloadButton* self,
                                             WebKitWebContext* value);
static void midori_browser_finalize (GObject * obj);
static GType midori_browser_get_type_once (void);
static void _vala_midori_browser_get_property (GObject * object,
                                        guint property_id,
                                        GValue * value,
                                        GParamSpec * pspec);
static void _vala_midori_browser_set_property (GObject * object,
                                        guint property_id,
                                        const GValue * value,
                                        GParamSpec * pspec);
static void _vala_array_destroy (gpointer array,
                          gssize array_length,
                          GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array,
                       gssize array_length,
                       GDestroyNotify destroy_func);
static gssize _vala_array_length (gpointer array);
static inline gpointer _vala_memdup2 (gconstpointer mem,
                        gsize byte_size);

static const GActionEntry MIDORI_BROWSER_actions[17] = {{"compactmenu", _midori_browser_compactmenu_activated_gsimple_action_activate_callback}, {"navigationbar", _midori_browser_navigationbar_activated_gsimple_action_activate_callback}, {"tab-close", _midori_browser_tab_close_activated_gsimple_action_activate_callback}, {"close", _midori_browser_close_activated_gsimple_action_activate_callback}, {"tab-reopen", _midori_browser_tab_reopen_activated_gsimple_action_activate_callback}, {"goto", _midori_browser_goto_activated_gsimple_action_activate_callback}, {"tab-previous", _midori_browser_tab_previous_activated_gsimple_action_activate_callback}, {"tab-next", _midori_browser_tab_next_activated_gsimple_action_activate_callback}, {"zoomin", _midori_browser_zoom_in_activated_gsimple_action_activate_callback}, {"find", _midori_browser_find_activated_gsimple_action_activate_callback}, {"view-source", _midori_browser_view_source_activated_gsimple_action_activate_callback}, {"print", _midori_browser_print_activated_gsimple_action_activate_callback}, {"caret-browsing", _midori_browser_caret_browsing_activated_gsimple_action_activate_callback}, {"show-inspector", _midori_browser_show_inspector_activated_gsimple_action_activate_callback}, {"clear-private-data", _midori_browser_clear_private_data_activated_gsimple_action_activate_callback}, {"preferences", _midori_browser_preferences_activated_gsimple_action_activate_callback}, {"about", _midori_browser_about_activated_gsimple_action_activate_callback}};

void
midori_browser_activatable_activate (MidoriBrowserActivatable* self)
{
	MidoriBrowserActivatableIface* _iface_;
#line 15 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_iface_ = MIDORI_BROWSER_ACTIVATABLE_GET_INTERFACE (self);
#line 15 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_iface_->activate) {
#line 15 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_iface_->activate (self);
#line 524 "browser.c"
	}
}

MidoriBrowser*
midori_browser_activatable_get_browser (MidoriBrowserActivatable* self)
{
	MidoriBrowserActivatableIface* _iface_;
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_iface_ = MIDORI_BROWSER_ACTIVATABLE_GET_INTERFACE (self);
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_iface_->get_browser) {
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return _iface_->get_browser (self);
#line 538 "browser.c"
	}
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return NULL;
#line 542 "browser.c"
}

void
midori_browser_activatable_set_browser (MidoriBrowserActivatable* self,
                                        MidoriBrowser* value)
{
	MidoriBrowserActivatableIface* _iface_;
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_iface_ = MIDORI_BROWSER_ACTIVATABLE_GET_INTERFACE (self);
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_iface_->set_browser) {
#line 14 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_iface_->set_browser (self, value);
#line 556 "browser.c"
	}
}

static void
midori_browser_activatable_default_init (MidoriBrowserActivatableIface * iface,
                                         gpointer iface_data)
{
#line 13 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_interface_install_property (iface, g_param_spec_object ("browser", "browser", "browser", MIDORI_TYPE_BROWSER, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 13 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_activatable_signals[MIDORI_BROWSER_ACTIVATABLE_DEACTIVATE_SIGNAL] = g_signal_new ("deactivate", MIDORI_TYPE_BROWSER_ACTIVATABLE, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 568 "browser.c"
}

static GType
midori_browser_activatable_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (MidoriBrowserActivatableIface), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) midori_browser_activatable_default_init, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
	GType midori_browser_activatable_type_id;
	midori_browser_activatable_type_id = g_type_register_static (G_TYPE_INTERFACE, "MidoriBrowserActivatable", &g_define_type_info, 0);
	g_type_interface_add_prerequisite (midori_browser_activatable_type_id, G_TYPE_OBJECT);
	return midori_browser_activatable_type_id;
}

GType
midori_browser_activatable_get_type (void)
{
	static volatile gsize midori_browser_activatable_type_id__once = 0;
	if (g_once_init_enter (&midori_browser_activatable_type_id__once)) {
		GType midori_browser_activatable_type_id;
		midori_browser_activatable_type_id = midori_browser_activatable_get_type_once ();
		g_once_init_leave (&midori_browser_activatable_type_id__once, midori_browser_activatable_type_id);
	}
	return midori_browser_activatable_type_id__once;
}

static inline gpointer
midori_browser_get_instance_private (MidoriBrowser* self)
{
	return G_STRUCT_MEMBER_P (self, MidoriBrowser_private_offset);
}

static void
_midori_browser_compactmenu_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                        GVariant* parameter,
                                                                        gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_compactmenu_activated ((MidoriBrowser*) self);
#line 606 "browser.c"
}

static void
_midori_browser_navigationbar_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                          GVariant* parameter,
                                                                          gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_navigationbar_activated ((MidoriBrowser*) self);
#line 616 "browser.c"
}

static void
_midori_browser_tab_close_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                      GVariant* parameter,
                                                                      gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_close_activated ((MidoriBrowser*) self);
#line 626 "browser.c"
}

static void
_midori_browser_close_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                  GVariant* parameter,
                                                                  gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_close_activated ((MidoriBrowser*) self);
#line 636 "browser.c"
}

static void
_midori_browser_tab_reopen_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                       GVariant* parameter,
                                                                       gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_reopen_activated ((MidoriBrowser*) self);
#line 646 "browser.c"
}

static void
_midori_browser_goto_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                 GVariant* parameter,
                                                                 gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_goto_activated ((MidoriBrowser*) self);
#line 656 "browser.c"
}

static void
_midori_browser_tab_previous_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                         GVariant* parameter,
                                                                         gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_previous_activated ((MidoriBrowser*) self);
#line 666 "browser.c"
}

static void
_midori_browser_tab_next_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                     GVariant* parameter,
                                                                     gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_next_activated ((MidoriBrowser*) self);
#line 676 "browser.c"
}

static void
_midori_browser_zoom_in_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                    GVariant* parameter,
                                                                    gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_zoom_in_activated ((MidoriBrowser*) self);
#line 686 "browser.c"
}

static void
_midori_browser_find_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                 GVariant* parameter,
                                                                 gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_find_activated ((MidoriBrowser*) self);
#line 696 "browser.c"
}

static void
_midori_browser_view_source_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                        GVariant* parameter,
                                                                        gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_view_source_activated ((MidoriBrowser*) self);
#line 706 "browser.c"
}

static void
_midori_browser_print_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                  GVariant* parameter,
                                                                  gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_print_activated ((MidoriBrowser*) self);
#line 716 "browser.c"
}

static void
_midori_browser_caret_browsing_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                           GVariant* parameter,
                                                                           gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_caret_browsing_activated ((MidoriBrowser*) self);
#line 726 "browser.c"
}

static void
_midori_browser_show_inspector_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                           GVariant* parameter,
                                                                           gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_show_inspector_activated ((MidoriBrowser*) self);
#line 736 "browser.c"
}

static void
_midori_browser_clear_private_data_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                               GVariant* parameter,
                                                                               gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_clear_private_data_activated ((MidoriBrowser*) self);
#line 746 "browser.c"
}

static void
_midori_browser_preferences_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                        GVariant* parameter,
                                                                        gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_preferences_activated ((MidoriBrowser*) self);
#line 756 "browser.c"
}

static void
_midori_browser_about_activated_gsimple_action_activate_callback (GSimpleAction* action,
                                                                  GVariant* parameter,
                                                                  gpointer self)
{
#line 33 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_about_activated ((MidoriBrowser*) self);
#line 766 "browser.c"
}

static void
_g_object_unref0_ (gpointer var)
{
#line 83 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(var == NULL) ? NULL : (var = (g_object_unref (var), NULL));
#line 774 "browser.c"
}

static inline void
_g_list_free__g_object_unref0_ (GList* self)
{
#line 83 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_list_free_full (self, (GDestroyNotify) _g_object_unref0_);
#line 782 "browser.c"
}

static void
midori_browser_update_decoration_layout (MidoriBrowser* self)
{
	GtkStack* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	GtkHeaderBar* _tmp19_;
	GtkContainer* _tmp20_;
	GtkContainer* _tmp21_;
	GtkHeaderBar* _tmp22_;
	GtkStack* _tmp23_;
	gboolean _tmp24_;
	gboolean _tmp25_;
	GValue _tmp26_ = {0};
	MidoriNavigationbar* _tmp27_;
	GtkContainer* _tmp28_;
	GtkContainer* _tmp29_;
	GtkContainer* _tmp30_;
	GtkContainer* _tmp31_;
	MidoriNavigationbar* _tmp32_;
	GtkContainer* _tmp33_;
	GtkContainer* _tmp34_;
	GtkStack* _tmp35_;
	gboolean _tmp36_;
	gboolean _tmp37_;
	GValue _tmp38_ = {0};
#line 389 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->panel;
#line 389 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_widget_get_visible ((GtkWidget*) _tmp0_);
#line 389 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 389 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp2_) {
#line 819 "browser.c"
		gchar** layout = NULL;
		GtkSettings* _tmp3_;
		gchar* _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		gchar** _tmp7_;
		gchar** _tmp8_;
		gchar** _tmp9_;
		gint _tmp9__length1;
		gint layout_length1;
		gint _layout_size_;
		GtkHeaderBar* _tmp10_;
		gchar** _tmp11_;
		gint _tmp11__length1;
		const gchar* _tmp12_;
		GtkHeaderBar* _tmp13_;
		gchar** _tmp14_;
		gint _tmp14__length1;
		const gchar* _tmp15_;
		gchar* _tmp16_;
		gchar* _tmp17_;
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = gtk_settings_get_default ();
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_get (_tmp3_, "gtk-decoration-layout", &_tmp4_, NULL);
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = _tmp4_;
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = _tmp5_;
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = _tmp7_ = g_strsplit (_tmp6_, ":", 2);
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = _tmp8_;
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9__length1 = _vala_array_length (_tmp7_);
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (_tmp6_);
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		layout = _tmp9_;
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		layout_length1 = _tmp9__length1;
#line 390 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_layout_size_ = layout_length1;
#line 391 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = self->priv->panelbar;
#line 391 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = layout;
#line 391 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11__length1 = layout_length1;
#line 391 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = _tmp11_[0];
#line 391 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_header_bar_set_decoration_layout (_tmp10_, _tmp12_);
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = self->priv->tabbar;
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = layout;
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14__length1 = layout_length1;
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = _tmp14_[1];
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp16_ = g_strconcat (":", _tmp15_, NULL);
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp17_ = _tmp16_;
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_header_bar_set_decoration_layout (_tmp13_, _tmp17_);
#line 392 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (_tmp17_);
#line 389 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		layout = (_vala_array_free (layout, layout_length1, (GDestroyNotify) g_free), NULL);
#line 891 "browser.c"
	} else {
		GtkHeaderBar* _tmp18_;
#line 394 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp18_ = self->priv->tabbar;
#line 394 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_header_bar_set_decoration_layout (_tmp18_, NULL);
#line 898 "browser.c"
	}
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp19_ = self->priv->tabbar;
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp20_ = gtk_widget_get_parent ((GtkWidget*) _tmp19_);
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp21_ = _tmp20_;
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp22_ = self->priv->tabbar;
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp23_ = self->priv->panel;
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp24_ = gtk_widget_get_visible ((GtkWidget*) _tmp23_);
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp25_ = _tmp24_;
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_value_init (&_tmp26_, G_TYPE_BOOLEAN);
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_value_set_boolean (&_tmp26_, !_tmp25_);
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_container_child_set_property (G_TYPE_CHECK_INSTANCE_CAST (_tmp21_, gtk_container_get_type (), GtkContainer), (GtkWidget*) _tmp22_, "shrink", &_tmp26_);
#line 396 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_IS_VALUE (&_tmp26_) ? (g_value_unset (&_tmp26_), NULL) : NULL;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp27_ = self->priv->navigationbar;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp28_ = gtk_widget_get_parent ((GtkWidget*) _tmp27_);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp29_ = _tmp28_;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp30_ = gtk_widget_get_parent ((GtkWidget*) _tmp29_);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31_ = _tmp30_;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp32_ = self->priv->navigationbar;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp33_ = gtk_widget_get_parent ((GtkWidget*) _tmp32_);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp34_ = _tmp33_;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp35_ = self->priv->panel;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp36_ = gtk_widget_get_visible ((GtkWidget*) _tmp35_);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp37_ = _tmp36_;
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_value_init (&_tmp38_, G_TYPE_BOOLEAN);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_value_set_boolean (&_tmp38_, _tmp37_);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_container_child_set_property (G_TYPE_CHECK_INSTANCE_CAST (_tmp31_, gtk_container_get_type (), GtkContainer), (GtkWidget*) _tmp34_, "shrink", &_tmp38_);
#line 397 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_IS_VALUE (&_tmp38_) ? (g_value_unset (&_tmp38_), NULL) : NULL;
#line 952 "browser.c"
}

static gboolean
midori_browser_real_configure_event (GtkWidget* base,
                                     GdkEventConfigure* event)
{
	MidoriBrowser * self;
	gboolean _result_ = FALSE;
	gint width = 0;
	gint _tmp0_ = 0;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	GtkStyleContext* _tmp4_;
	gboolean result;
#line 400 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = (MidoriBrowser*) base;
#line 401 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_result_ = GTK_WIDGET_CLASS (midori_browser_parent_class)->configure_event ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_window_get_type (), GtkApplicationWindow), event);
#line 404 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_window_get_size ((GtkWindow*) self, &_tmp0_, NULL);
#line 404 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	width = _tmp0_;
#line 405 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_is_small (self, width < 500);
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (gtk_style_context_has_class (_tmp4_, "tiled")) {
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = TRUE;
#line 984 "browser.c"
	} else {
		gboolean _tmp5_;
		gboolean _tmp6_;
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_get ((GtkWindow*) self, "is-maximized", &_tmp5_, NULL);
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = _tmp5_;
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = _tmp6_;
#line 994 "browser.c"
	}
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp3_) {
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = TRUE;
#line 1000 "browser.c"
	} else {
		gboolean _tmp7_;
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = self->priv->_is_fullscreen;
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = _tmp7_;
#line 1007 "browser.c"
	}
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp2_) {
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = TRUE;
#line 1013 "browser.c"
	} else {
		gboolean _tmp8_;
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = self->priv->_is_locked;
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = _tmp8_;
#line 1020 "browser.c"
	}
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!_tmp1_) {
#line 1024 "browser.c"
		gint height = 0;
		gint _tmp9_ = 0;
		MidoriCoreSettings* settings = NULL;
		MidoriCoreSettings* _tmp10_;
		MidoriCoreSettings* _tmp11_;
		MidoriCoreSettings* _tmp12_;
#line 409 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_window_get_size ((GtkWindow*) self, NULL, &_tmp9_);
#line 409 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		height = _tmp9_;
#line 410 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = midori_core_settings_get_default ();
#line 410 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		settings = _tmp10_;
#line 411 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = settings;
#line 411 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_core_settings_set_last_window_width (_tmp11_, width);
#line 412 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = settings;
#line 412 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_core_settings_set_last_window_height (_tmp12_, height);
#line 407 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (settings);
#line 1049 "browser.c"
	}
#line 415 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _result_;
#line 415 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 1055 "browser.c"
}

void
midori_browser_add_button (MidoriBrowser* self,
                           GtkButton* button)
{
	MidoriNavigationbar* _tmp0_;
#line 422 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->navigationbar;
#line 422 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_action_bar_pack_end ((GtkActionBar*) _tmp0_, (GtkWidget*) button);
#line 1067 "browser.c"
}

void
midori_browser_add_panel (MidoriBrowser* self,
                          GtkWidget* widget)
{
	GtkStack* _tmp0_;
	gchar* _tmp1_;
	gchar* _tmp2_;
	GtkStack* _tmp3_;
#line 429 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->panel;
#line 429 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = g_strdup_printf ("%p", widget);
#line 429 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 429 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_stack_add_named (_tmp0_, widget, _tmp2_);
#line 429 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (_tmp2_);
#line 430 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->panel;
#line 430 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_stack_set_visible_child (_tmp3_, widget);
#line 1092 "browser.c"
}

MidoriBrowser*
midori_browser_construct (GType object_type,
                          MidoriApp* app,
                          gboolean is_locked)
{
	MidoriBrowser * self = NULL;
	WebKitWebContext* _tmp0_;
#line 441 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = webkit_web_context_get_default ();
#line 441 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = (MidoriBrowser*) g_object_new (object_type, "application", app, "is-locked", is_locked, "web-context", _tmp0_, NULL);
#line 440 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return self;
#line 1108 "browser.c"
}

MidoriBrowser*
midori_browser_new (MidoriApp* app,
                    gboolean is_locked)
{
#line 440 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return midori_browser_construct (MIDORI_TYPE_BROWSER, app, is_locked);
#line 1117 "browser.c"
}

MidoriBrowser*
midori_browser_construct_incognito (GType object_type,
                                    MidoriApp* app)
{
	MidoriBrowser * self = NULL;
	WebKitWebContext* _tmp0_;
	WebKitWebContext* _tmp1_;
#line 447 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = midori_app_ephemeral_context (app);
#line 447 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _tmp0_;
#line 447 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = (MidoriBrowser*) g_object_new (object_type, "application", app, "web-context", _tmp1_, NULL);
#line 447 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_tmp1_);
#line 446 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return self;
#line 1137 "browser.c"
}

MidoriBrowser*
midori_browser_new_incognito (MidoriApp* app)
{
#line 446 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return midori_browser_construct_incognito (MIDORI_TYPE_BROWSER, app);
#line 1145 "browser.c"
}

static gboolean
midori_browser_real_key_press_event (GtkWidget* base,
                                     GdkEventKey* event)
{
	MidoriBrowser * self;
	gboolean _tmp0_;
	GtkWidget* _tmp1_;
	GtkWidget* _tmp5_;
	gboolean result;
#line 451 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = (MidoriBrowser*) base;
#line 452 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_idle (self, FALSE);
#line 454 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_is_locked;
#line 454 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp0_) {
#line 455 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		result = gtk_window_propagate_key_event ((GtkWindow*) self, event);
#line 455 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return result;
#line 1169 "browser.c"
	}
#line 458 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_window_get_focus ((GtkWindow*) self);
#line 458 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (MIDORI_IS_URLBAR (_tmp1_)) {
#line 1175 "browser.c"
		MidoriNavigationbar* _tmp2_;
		MidoriUrlbar* _tmp3_;
		gboolean _tmp4_ = FALSE;
#line 459 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = self->priv->navigationbar;
#line 459 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = _tmp2_->urlbar;
#line 459 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_signal_emit_by_name ((GtkWidget*) _tmp3_, "key-press-event", event, &_tmp4_);
#line 459 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp4_) {
#line 460 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			result = TRUE;
#line 460 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return result;
#line 1191 "browser.c"
		}
	}
#line 464 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = gtk_window_get_focus ((GtkWindow*) self);
#line 464 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, webkit_web_view_base_get_type ())) {
#line 465 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		result = GTK_WIDGET_CLASS (midori_browser_parent_class)->key_press_event ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_application_window_get_type (), GtkApplicationWindow), event);
#line 465 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return result;
#line 1202 "browser.c"
	}
#line 469 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (gtk_window_propagate_key_event ((GtkWindow*) self, event)) {
#line 470 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		result = TRUE;
#line 470 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return result;
#line 1210 "browser.c"
	}
#line 472 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (gtk_window_activate_key ((GtkWindow*) self, event)) {
#line 1214 "browser.c"
		MidoriNavigationbar* _tmp6_;
		MidoriUrlbar* _tmp7_;
#line 474 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = self->priv->navigationbar;
#line 474 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = _tmp6_->urlbar;
#line 474 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_urlbar_popdown (_tmp7_);
#line 475 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		result = TRUE;
#line 475 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return result;
#line 1227 "browser.c"
	}
#line 477 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = FALSE;
#line 477 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 1233 "browser.c"
}

static void
midori_browser_panel_activated (MidoriBrowser* self,
                                GSimpleAction* action,
                                GVariant* state)
{
	GtkToggleButton* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 481 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->panel_toggle;
#line 481 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_widget_get_visible ((GtkWidget*) _tmp0_);
#line 481 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 481 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp2_) {
#line 1252 "browser.c"
		GtkStack* _tmp3_;
#line 482 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_simple_action_set_state (action, state);
#line 483 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = self->priv->panel;
#line 483 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp3_, g_variant_get_boolean (state));
#line 484 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_update_decoration_layout (self);
#line 1262 "browser.c"
	}
}

static void
midori_browser_tab_new_activated (MidoriBrowser* self)
{
	MidoriTab* tab = NULL;
	WebKitWebContext* _tmp0_;
	MidoriTab* _tmp1_;
	GtkStack* _tmp2_;
#line 489 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_web_context;
#line 489 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = midori_tab_new (NULL, _tmp0_, NULL, NULL);
#line 489 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp1_);
#line 489 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	tab = _tmp1_;
#line 490 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_add (self, tab);
#line 491 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = self->tabs;
#line 491 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_stack_set_visible_child (_tmp2_, (GtkWidget*) tab);
#line 488 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (tab);
#line 1289 "browser.c"
}

static void
midori_browser_compactmenu_activated (MidoriBrowser* self)
{
	GtkMenuButton* _tmp0_;
	GtkPopover* _tmp1_;
	GtkPopover* _tmp2_;
#line 495 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->app_menu;
#line 495 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_menu_button_get_popover (_tmp0_);
#line 495 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 495 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_show ((GtkWidget*) _tmp2_);
#line 1306 "browser.c"
}

static void
midori_browser_navigationbar_activated (MidoriBrowser* self)
{
	MidoriNavigationbar* _tmp0_;
#line 499 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->navigationbar;
#line 499 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_show ((GtkWidget*) _tmp0_);
#line 1317 "browser.c"
}

static void
midori_browser_tab_close_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
#line 503 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 503 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_try_close ((WebKitWebView*) _tmp0_);
#line 1328 "browser.c"
}

static void
midori_browser_close_activated (MidoriBrowser* self)
{
#line 507 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_window_close ((GtkWindow*) self);
#line 1336 "browser.c"
}

static void
midori_browser_tab_reopen_activated (MidoriBrowser* self)
{
	guint index = 0U;
	GListStore* _tmp0_;
#line 511 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_trash;
#line 511 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	index = g_list_model_get_n_items ((GListModel*) _tmp0_);
#line 512 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (index > ((guint) 0)) {
#line 1350 "browser.c"
		MidoriDatabaseItem* item = NULL;
		GListStore* _tmp1_;
		GObject* _tmp2_;
		MidoriDatabaseItem* _tmp3_;
		MidoriTab* tab = NULL;
		WebKitWebContext* _tmp4_;
		MidoriDatabaseItem* _tmp5_;
		const gchar* _tmp6_;
		const gchar* _tmp7_;
		MidoriDatabaseItem* _tmp8_;
		const gchar* _tmp9_;
		const gchar* _tmp10_;
		MidoriTab* _tmp11_;
		MidoriTab* _tmp12_;
		MidoriTab* _tmp13_;
		GListStore* _tmp14_;
#line 513 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = self->priv->_trash;
#line 513 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = g_list_model_get_object ((GListModel*) _tmp1_, index - 1);
#line 513 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = MIDORI_IS_DATABASE_ITEM (_tmp2_) ? ((MidoriDatabaseItem*) _tmp2_) : NULL;
#line 513 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp3_ == NULL) {
#line 513 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_tmp2_);
#line 1377 "browser.c"
		}
#line 513 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		item = _tmp3_;
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = self->priv->_web_context;
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = item;
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = midori_database_item_get_uri (_tmp5_);
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = _tmp6_;
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = item;
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = midori_database_item_get_title (_tmp8_);
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = _tmp9_;
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = midori_tab_new (NULL, _tmp4_, _tmp7_, _tmp10_);
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_ref_sink (_tmp11_);
#line 514 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		tab = _tmp11_;
#line 515 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = tab;
#line 515 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set_data_full ((GObject*) _tmp12_, "foreground", (gpointer) ((gintptr) TRUE), NULL);
#line 516 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = tab;
#line 516 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_add (self, _tmp13_);
#line 517 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = self->priv->_trash;
#line 517 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_list_store_remove (_tmp14_, index - 1);
#line 512 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (tab);
#line 512 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (item);
#line 1417 "browser.c"
	}
}

static void
midori_browser_goto_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 522 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 522 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = midori_tab_get_pinned (_tmp0_);
#line 522 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 522 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!_tmp2_) {
#line 1435 "browser.c"
		MidoriNavigationbar* _tmp3_;
		MidoriNavigationbar* _tmp4_;
		MidoriUrlbar* _tmp5_;
#line 523 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = self->priv->navigationbar;
#line 523 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_show ((GtkWidget*) _tmp3_);
#line 524 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = self->priv->navigationbar;
#line 524 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = _tmp4_->urlbar;
#line 524 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_grab_focus ((GtkWidget*) _tmp5_);
#line 1449 "browser.c"
	}
}

static void
midori_browser_go_back_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
#line 529 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 529 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_go_back ((WebKitWebView*) _tmp0_);
#line 1461 "browser.c"
}

static void
midori_browser_go_forward_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
#line 533 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 533 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_go_forward ((WebKitWebView*) _tmp0_);
#line 1472 "browser.c"
}

static void
midori_browser_tab_reload_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
#line 537 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 537 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_reload ((WebKitWebView*) _tmp0_);
#line 1483 "browser.c"
}

static void
midori_browser_tab_stop_loading_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
#line 541 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 541 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_stop_loading ((WebKitWebView*) _tmp0_);
#line 1494 "browser.c"
}

static gboolean
string_contains (const gchar* self,
                 const gchar* needle)
{
	gchar* _tmp0_;
	gboolean result;
#line 1539 "glib-2.0.vapi"
	_tmp0_ = strstr ((gchar*) self, (gchar*) needle);
#line 1539 "glib-2.0.vapi"
	result = _tmp0_ != NULL;
#line 1539 "glib-2.0.vapi"
	return result;
#line 1509 "browser.c"
}

static void
midori_browser_homepage_activated (MidoriBrowser* self)
{
	MidoriCoreSettings* settings = NULL;
	MidoriCoreSettings* _tmp0_;
	gchar* homepage = NULL;
	MidoriCoreSettings* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar* uri = NULL;
	const gchar* _tmp4_;
	MidoriTab* _tmp12_;
#line 545 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = midori_core_settings_get_default ();
#line 545 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	settings = _tmp0_;
#line 546 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = settings;
#line 546 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = midori_core_settings_get_homepage (_tmp1_);
#line 546 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 546 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	homepage = _tmp3_;
#line 548 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = homepage;
#line 548 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (string_contains (_tmp4_, "://")) {
#line 1540 "browser.c"
		const gchar* _tmp5_;
		gchar* _tmp6_;
#line 549 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = homepage;
#line 549 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = g_strdup (_tmp5_);
#line 549 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (uri);
#line 549 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		uri = _tmp6_;
#line 1551 "browser.c"
	} else {
		const gchar* _tmp7_;
#line 550 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = homepage;
#line 550 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (string_contains (_tmp7_, ".")) {
#line 1558 "browser.c"
			const gchar* _tmp8_;
			gchar* _tmp9_;
#line 552 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp8_ = homepage;
#line 552 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp9_ = g_strconcat ("http://", _tmp8_, NULL);
#line 552 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_free0 (uri);
#line 552 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			uri = _tmp9_;
#line 1569 "browser.c"
		} else {
			MidoriCoreSettings* _tmp10_;
			gchar* _tmp11_;
#line 555 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp10_ = settings;
#line 555 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp11_ = midori_core_settings_uri_for_search (_tmp10_, NULL, NULL);
#line 555 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_free0 (uri);
#line 555 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			uri = _tmp11_;
#line 1581 "browser.c"
		}
	}
#line 557 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp12_ = self->priv->_tab;
#line 557 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp12_ == NULL) {
#line 1588 "browser.c"
		WebKitWebContext* _tmp13_;
		const gchar* _tmp14_;
		MidoriTab* _tmp15_;
		MidoriTab* _tmp16_;
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = self->priv->_web_context;
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = uri;
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = midori_tab_new (NULL, _tmp13_, _tmp14_, NULL);
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_ref_sink (_tmp15_);
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp16_ = _tmp15_;
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_add (self, _tmp16_);
#line 558 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_tmp16_);
#line 1607 "browser.c"
	} else {
		MidoriTab* _tmp17_;
		const gchar* _tmp18_;
#line 560 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp17_ = self->priv->_tab;
#line 560 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp18_ = uri;
#line 560 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		webkit_web_view_load_uri ((WebKitWebView*) _tmp17_, _tmp18_);
#line 1617 "browser.c"
	}
#line 544 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (uri);
#line 544 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (homepage);
#line 544 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (settings);
#line 1625 "browser.c"
}

static gpointer
_g_object_ref0 (gpointer self)
{
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return self ? g_object_ref (self) : NULL;
#line 1633 "browser.c"
}

static void
midori_browser_tab_previous_activated (MidoriBrowser* self)
{
	gint index = 0;
	GtkStack* _tmp0_;
	GList* _tmp1_;
	GList* _tmp2_;
	MidoriTab* _tmp3_;
	gint _tmp4_;
	GtkWidget* previous = NULL;
	GtkStack* _tmp5_;
	GList* _tmp6_;
	GList* _tmp7_;
	gconstpointer _tmp8_;
	GtkWidget* _tmp9_;
	GtkWidget* _tmp10_;
	GtkWidget* _tmp11_;
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->tabs;
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->_tab;
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = g_list_index (_tmp2_, (GtkWidget*) _tmp3_);
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_list_free (_tmp2_), NULL));
#line 565 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	index = _tmp4_;
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->tabs;
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = gtk_container_get_children ((GtkContainer*) _tmp5_);
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = g_list_nth_data (_tmp7_, (guint) (index - 1));
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = _g_object_ref0 ((GtkWidget*) _tmp8_);
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = _tmp9_;
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(_tmp7_ == NULL) ? NULL : (_tmp7_ = (g_list_free (_tmp7_), NULL));
#line 566 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	previous = _tmp10_;
#line 567 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = previous;
#line 567 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp11_ != NULL) {
#line 1687 "browser.c"
		GtkStack* _tmp12_;
		GtkWidget* _tmp13_;
#line 568 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = self->tabs;
#line 568 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = previous;
#line 568 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_stack_set_visible_child (_tmp12_, (GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, MIDORI_TYPE_TAB, MidoriTab));
#line 1696 "browser.c"
	}
#line 564 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (previous);
#line 1700 "browser.c"
}

static void
midori_browser_tab_next_activated (MidoriBrowser* self)
{
	gint index = 0;
	GtkStack* _tmp0_;
	GList* _tmp1_;
	GList* _tmp2_;
	MidoriTab* _tmp3_;
	gint _tmp4_;
	GtkWidget* next = NULL;
	GtkStack* _tmp5_;
	GList* _tmp6_;
	GList* _tmp7_;
	gconstpointer _tmp8_;
	GtkWidget* _tmp9_;
	GtkWidget* _tmp10_;
	GtkWidget* _tmp11_;
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->tabs;
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->_tab;
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = g_list_index (_tmp2_, (GtkWidget*) _tmp3_);
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_list_free (_tmp2_), NULL));
#line 572 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	index = _tmp4_;
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->tabs;
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = gtk_container_get_children ((GtkContainer*) _tmp5_);
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = g_list_nth_data (_tmp7_, (guint) (index + 1));
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = _g_object_ref0 ((GtkWidget*) _tmp8_);
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = _tmp9_;
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(_tmp7_ == NULL) ? NULL : (_tmp7_ = (g_list_free (_tmp7_), NULL));
#line 573 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	next = _tmp10_;
#line 574 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = next;
#line 574 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp11_ != NULL) {
#line 1754 "browser.c"
		GtkStack* _tmp12_;
		GtkWidget* _tmp13_;
#line 575 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = self->tabs;
#line 575 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = next;
#line 575 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_stack_set_visible_child (_tmp12_, (GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (_tmp13_, MIDORI_TYPE_TAB, MidoriTab));
#line 1763 "browser.c"
	}
#line 571 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (next);
#line 1767 "browser.c"
}

static GVariant*
_variant_new8 (gdouble value)
{
#line 579 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return g_variant_ref_sink (g_variant_new_double (value));
#line 1775 "browser.c"
}

static void
midori_browser_zoom_in_activated (MidoriBrowser* self)
{
	GVariant* _tmp0_;
#line 579 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _variant_new8 (0.1);
#line 579 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_group_activate_action ((GActionGroup*) self, "tab-zoom", _tmp0_);
#line 579 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_variant_unref0 (_tmp0_);
#line 1788 "browser.c"
}

static void
midori_browser_tab_zoom_activated (MidoriBrowser* self,
                                   GAction* action,
                                   GVariant* parameter)
{
	gdouble zoom_level = 0.0;
	gdouble _tmp0_ = 0.0;
	MidoriTab* _tmp4_;
#line 583 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	zoom_level = g_variant_get_double (parameter);
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (zoom_level == 1.0) {
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = 1.0;
#line 1805 "browser.c"
	} else {
		MidoriTab* _tmp1_;
		gdouble _tmp2_;
		gdouble _tmp3_;
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = self->priv->_tab;
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = webkit_web_view_get_zoom_level ((WebKitWebView*) _tmp1_);
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = _tmp2_;
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = _tmp3_ + zoom_level;
#line 1818 "browser.c"
	}
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = self->priv->_tab;
#line 584 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_set_zoom_level ((WebKitWebView*) _tmp4_, _tmp0_);
#line 1824 "browser.c"
}

static void
midori_browser_tab_by_index_activated (MidoriBrowser* self,
                                       GAction* action,
                                       GVariant* parameter)
{
	GtkWidget* nth_tab = NULL;
	GtkStack* _tmp0_;
	GList* _tmp1_;
	GList* _tmp2_;
	gconstpointer _tmp3_;
	GtkWidget* _tmp4_;
	GtkWidget* _tmp5_;
	GtkWidget* _tmp6_;
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->tabs;
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_container_get_children ((GtkContainer*) _tmp0_);
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = g_list_nth_data (_tmp2_, (guint) g_variant_get_int32 (parameter));
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = _g_object_ref0 ((GtkWidget*) _tmp3_);
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = _tmp4_;
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(_tmp2_ == NULL) ? NULL : (_tmp2_ = (g_list_free (_tmp2_), NULL));
#line 588 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	nth_tab = _tmp5_;
#line 589 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = nth_tab;
#line 589 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp6_ != NULL) {
#line 1860 "browser.c"
		GtkStack* _tmp7_;
		GtkWidget* _tmp8_;
#line 590 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = self->tabs;
#line 590 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = nth_tab;
#line 590 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_stack_set_visible_child (_tmp7_, _tmp8_);
#line 1869 "browser.c"
	}
#line 587 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (nth_tab);
#line 1873 "browser.c"
}

static void
midori_browser_fullscreen_activated (MidoriBrowser* self)
{
	gboolean _tmp0_;
	MidoriNavigationbar* _tmp1_;
	GtkButton* _tmp2_;
	gboolean _tmp3_;
	gboolean _tmp4_;
#line 595 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_is_fullscreen;
#line 595 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_is_fullscreen (self, !_tmp0_);
#line 596 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->navigationbar;
#line 596 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_->restore;
#line 596 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->_is_fullscreen;
#line 596 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp2_, _tmp3_);
#line 597 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = self->priv->_is_fullscreen;
#line 597 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp4_) {
#line 1900 "browser.c"
		MidoriNavigationbar* _tmp5_;
		GtkStack* _tmp6_;
#line 598 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_window_fullscreen ((GtkWindow*) self);
#line 599 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = self->priv->navigationbar;
#line 599 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_hide ((GtkWidget*) _tmp5_);
#line 600 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = self->priv->panel;
#line 600 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_hide ((GtkWidget*) _tmp6_);
#line 1913 "browser.c"
	} else {
		MidoriNavigationbar* _tmp7_;
		MidoriTab* _tmp8_;
		gboolean _tmp9_;
		gboolean _tmp10_;
		GtkStack* _tmp11_;
		GAction* _tmp12_;
		GVariant* _tmp13_;
		GVariant* _tmp14_;
		GVariant* _tmp15_;
#line 602 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_window_unfullscreen ((GtkWindow*) self);
#line 603 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = self->priv->navigationbar;
#line 603 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = self->priv->_tab;
#line 603 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = midori_tab_get_pinned (_tmp8_);
#line 603 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = _tmp9_;
#line 603 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp7_, !_tmp10_);
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = self->priv->panel;
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = g_action_map_lookup_action ((GActionMap*) self, "panel");
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = g_action_get_state (_tmp12_);
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = _tmp13_;
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = _tmp14_;
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp11_, g_variant_get_boolean (_tmp15_));
#line 604 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_variant_unref0 (_tmp15_);
#line 1950 "browser.c"
	}
}

static void
midori_browser_show_downloads_activated (MidoriBrowser* self)
{
	MidoriDownloadButton* _tmp0_;
#line 609 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->downloads;
#line 609 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_emit_by_name (_tmp0_, "show-downloads");
#line 1962 "browser.c"
}

static void
midori_browser_find_activated (MidoriBrowser* self)
{
	GtkSearchBar* _tmp0_;
	GtkSearchEntry* _tmp1_;
#line 613 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->search;
#line 613 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_set (_tmp0_, "search-mode-enabled", TRUE, NULL);
#line 614 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->search_entry;
#line 614 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp1_);
#line 1978 "browser.c"
}

static void
midori_browser_find_text (MidoriBrowser* self)
{
#line 618 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_find_text_backwards (self, FALSE);
#line 1986 "browser.c"
}

static gchar
string_get (const gchar* self,
            glong index)
{
	gchar _tmp0_;
	gchar result;
#line 1241 "glib-2.0.vapi"
	_tmp0_ = ((gchar*) self)[index];
#line 1241 "glib-2.0.vapi"
	result = _tmp0_;
#line 1241 "glib-2.0.vapi"
	return result;
#line 2001 "browser.c"
}

static void
midori_browser_find_text_backwards (MidoriBrowser* self,
                                    gboolean backwards)
{
	guint options = 0U;
	GtkSearchEntry* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
	MidoriTab* _tmp3_;
	WebKitFindController* _tmp4_;
	GtkSearchEntry* _tmp5_;
	const gchar* _tmp6_;
	const gchar* _tmp7_;
#line 622 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	options = (guint) WEBKIT_FIND_OPTIONS_WRAP_AROUND;
#line 624 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->search_entry;
#line 624 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_entry_get_text ((GtkEntry*) _tmp0_);
#line 624 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 624 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_ascii_islower (string_get (_tmp2_, (glong) 0))) {
#line 625 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		options |= (guint) WEBKIT_FIND_OPTIONS_CASE_INSENSITIVE;
#line 2029 "browser.c"
	}
#line 627 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (backwards) {
#line 628 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		options |= (guint) WEBKIT_FIND_OPTIONS_BACKWARDS;
#line 2035 "browser.c"
	}
#line 630 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->_tab;
#line 630 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = webkit_web_view_get_find_controller ((WebKitWebView*) _tmp3_);
#line 630 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->priv->search_entry;
#line 630 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = gtk_entry_get_text ((GtkEntry*) _tmp5_);
#line 630 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 630 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_find_controller_search (_tmp4_, _tmp7_, (guint32) options, (guint) G_MAXINT);
#line 2049 "browser.c"
}

static void
midori_browser_view_source_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
#line 634 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 634 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_view_source (self, _tmp0_, NULL, NULL);
#line 2060 "browser.c"
}

static void
midori_browser_view_source_data_free (gpointer _data)
{
	MidoriBrowserViewSourceData* _data_;
	_data_ = _data;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data_->tab);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data_->self);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_slice_free (MidoriBrowserViewSourceData, _data_);
#line 2074 "browser.c"
}

static void
midori_browser_view_source (MidoriBrowser* self,
                            MidoriTab* tab,
                            GAsyncReadyCallback _callback_,
                            gpointer _user_data_)
{
	MidoriBrowserViewSourceData* _data_;
	MidoriBrowser* _tmp0_;
	MidoriTab* _tmp1_;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_ = g_slice_new0 (MidoriBrowserViewSourceData);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->_async_result = g_task_new (G_OBJECT (self), NULL, _callback_, _user_data_);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_task_set_task_data (_data_->_async_result, _data_, midori_browser_view_source_data_free);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _g_object_ref0 (self);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->self = _tmp0_;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _g_object_ref0 (tab);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data_->tab);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->tab = _tmp1_;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_view_source_co (_data_);
#line 2104 "browser.c"
}

static void
midori_browser_view_source_finish (MidoriBrowser* self,
                                   GAsyncResult* _res_)
{
	MidoriBrowserViewSourceData* _data_;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_ = g_task_propagate_pointer (G_TASK (_res_), NULL);
#line 2114 "browser.c"
}

static void
midori_browser_view_source_ready (GObject* source_object,
                                  GAsyncResult* _res_,
                                  gpointer _user_data_)
{
	MidoriBrowserViewSourceData* _data_;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_ = _user_data_;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->_source_object_ = source_object;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->_res_ = _res_;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_view_source_co (_data_);
#line 2131 "browser.c"
}

static gboolean
midori_browser_view_source_co (MidoriBrowserViewSourceData* _data_)
{
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	switch (_data_->_state_) {
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case 0:
#line 2141 "browser.c"
		goto _state_0;
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case 1:
#line 2145 "browser.c"
		goto _state_1;
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case 2:
#line 2149 "browser.c"
		goto _state_2;
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case 3:
#line 2153 "browser.c"
		goto _state_3;
		default:
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_assert_not_reached ();
#line 2158 "browser.c"
	}
	_state_0:
#line 638 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->_tmp0_ = midori_tab_get_display_uri (_data_->tab);
#line 638 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->_tmp1_ = _data_->_tmp0_;
#line 638 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->_tmp2_ = g_strdup (_data_->_tmp1_);
#line 638 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data_->uri = _data_->_tmp2_;
#line 2169 "browser.c"
	{
#line 640 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp3_ = _data_->uri;
#line 640 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp4_ = g_file_new_for_uri (_data_->_tmp3_);
#line 640 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->file = _data_->_tmp4_;
#line 641 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp5_ = _data_->uri;
#line 641 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (!g_str_has_prefix (_data_->_tmp5_, "file:///")) {
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp7_ = NULL;
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp8_ = g_file_new_tmp ("sourceXXXXXX", &_data_->_tmp7_, &_data_->_inner_error0_);
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_data_->stream);
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->stream = _data_->_tmp7_;
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp6_ = _data_->_tmp8_;
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->stream);
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->file);
#line 2197 "browser.c"
				goto __catch0_g_error;
			}
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp9_ = _data_->_tmp6_;
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp6_ = NULL;
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_data_->file);
#line 643 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->file = _data_->_tmp9_;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp10_ = webkit_web_view_get_main_resource ((WebKitWebView*) _data_->tab);
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp11_ = 0;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_state_ = 1;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			webkit_web_resource_get_data (_data_->_tmp10_, NULL, midori_browser_view_source_ready, _data_);
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return FALSE;
#line 2218 "browser.c"
			_state_1:
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp12_ = webkit_web_resource_get_data_finish (_data_->_tmp10_, _data_->_res_, &_data_->_tmp11_, &_data_->_inner_error0_);
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->data = _data_->_tmp12_;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->data_length1 = _data_->_tmp11_;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_data_size_ = _data_->data_length1;
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->_tmp6_);
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->stream);
#line 644 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->file);
#line 2236 "browser.c"
				goto __catch0_g_error;
			}
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp13_ = _data_->stream;
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp14_ = g_io_stream_get_output_stream ((GIOStream*) _data_->_tmp13_);
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp15_ = _data_->_tmp14_;
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp16_ = _data_->data;
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp16__length1 = _data_->data_length1;
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_state_ = 2;
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_output_stream_write_async (_data_->_tmp15_, _data_->_tmp16_, (gsize) _data_->_tmp16__length1, G_PRIORITY_DEFAULT, NULL, midori_browser_view_source_ready, _data_);
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return FALSE;
#line 2255 "browser.c"
			_state_2:
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_output_stream_write_finish (_data_->_tmp15_, _data_->_res_, &_data_->_inner_error0_);
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_data_->data = (g_free (_data_->data), NULL);
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->_tmp6_);
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->stream);
#line 645 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->file);
#line 2269 "browser.c"
				goto __catch0_g_error;
			}
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_tmp17_ = _data_->stream;
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->_state_ = 3;
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_io_stream_close_async ((GIOStream*) _data_->_tmp17_, G_PRIORITY_DEFAULT, NULL, midori_browser_view_source_ready, _data_);
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return FALSE;
#line 2280 "browser.c"
			_state_3:
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_io_stream_close_finish ((GIOStream*) _data_->_tmp17_, _data_->_res_, &_data_->_inner_error0_);
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_data_->data = (g_free (_data_->data), NULL);
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->_tmp6_);
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->stream);
#line 646 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_object_unref0 (_data_->file);
#line 2294 "browser.c"
				goto __catch0_g_error;
			}
#line 641 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_data_->data = (g_free (_data_->data), NULL);
#line 641 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_data_->_tmp6_);
#line 641 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_data_->stream);
#line 2303 "browser.c"
		}
#line 648 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->files = NULL;
#line 649 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp18_ = _data_->file;
#line 649 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp19_ = _g_object_ref0 (_data_->_tmp18_);
#line 649 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->files = g_list_append (_data_->files, _data_->_tmp19_);
#line 650 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp20_ = g_app_info_get_default_for_type ("text/plain", FALSE);
#line 650 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->info = _data_->_tmp20_;
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp21_ = _data_->info;
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp22_ = _data_->files;
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp23_ = gtk_widget_get_display ((GtkWidget*) _data_->self);
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp24_ = gdk_display_get_app_launch_context (_data_->_tmp23_);
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp25_ = _data_->_tmp24_;
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_app_info_launch (_data_->_tmp21_, _data_->_tmp22_, (GAppLaunchContext*) _data_->_tmp25_, &_data_->_inner_error0_);
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data_->_tmp25_);
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_data_->info);
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			(_data_->files == NULL) ? NULL : (_data_->files = (_g_list_free__g_object_unref0_ (_data_->files), NULL));
#line 651 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_object_unref0 (_data_->file);
#line 2339 "browser.c"
			goto __catch0_g_error;
		}
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data_->info);
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		(_data_->files == NULL) ? NULL : (_data_->files = (_g_list_free__g_object_unref0_ (_data_->files), NULL));
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data_->file);
#line 2348 "browser.c"
	}
	goto __finally0;
	__catch0_g_error:
	{
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_error_ = _data_->_inner_error0_;
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_inner_error0_ = NULL;
#line 653 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp26_ = _data_->uri;
#line 653 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp27_ = _data_->_error_;
#line 653 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data_->_tmp28_ = _data_->_tmp27_->message;
#line 653 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_critical ("browser.vala:653: Failed to open %s in editor: %s", _data_->_tmp26_, _data_->_tmp28_);
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_error_free0 (_data_->_error_);
#line 2367 "browser.c"
	}
	__finally0:
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (G_UNLIKELY (_data_->_inner_error0_ != NULL)) {
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (_data_->uri);
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _data_->_inner_error0_->message, g_quark_to_string (_data_->_inner_error0_->domain), _data_->_inner_error0_->code);
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_clear_error (&_data_->_inner_error0_);
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_unref (_data_->_async_result);
#line 639 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return FALSE;
#line 2382 "browser.c"
	}
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (_data_->uri);
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_task_return_pointer (_data_->_async_result, _data_, NULL);
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_data_->_state_ != 0) {
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		while (!g_task_get_completed (_data_->_async_result)) {
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_main_context_iteration (g_task_get_context (_data_->_async_result), TRUE);
#line 2394 "browser.c"
		}
	}
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_unref (_data_->_async_result);
#line 637 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return FALSE;
#line 2401 "browser.c"
}

static void
midori_browser_print_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
	MidoriTab* _tmp1_;
	WebKitPrintOperation* _tmp2_;
	WebKitPrintOperation* _tmp3_;
	gboolean _tmp4_ = FALSE;
#line 658 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 658 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->_tab;
#line 658 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = webkit_print_operation_new ((WebKitWebView*) _tmp1_);
#line 658 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 658 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_emit_by_name ((WebKitWebView*) _tmp0_, "print", _tmp3_, &_tmp4_);
#line 658 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_tmp3_);
#line 2424 "browser.c"
}

gchar*
midori_browser_prompt (MidoriBrowser* self,
                       const gchar* title,
                       const gchar* message,
                       const gchar* confirm,
                       const gchar* text)
{
	const gchar* _tmp0_ = NULL;
	GtkSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	GtkDialogFlags _tmp5_ = 0U;
	GtkSettings* _tmp6_;
	gboolean _tmp7_;
	gboolean _tmp8_;
	GtkDialog* dialog = NULL;
	GtkDialog* _tmp9_;
	GtkEntry* entry = NULL;
	GtkEntry* _tmp18_;
	GtkDialog* _tmp24_;
	const gchar* _tmp25_ = NULL;
	GtkDialog* _tmp26_;
	gchar* _result_ = NULL;
	gchar* _tmp30_;
	GtkDialog* _tmp31_;
	gchar* result;
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = gtk_widget_get_settings ((GtkWidget*) self);
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_get (_tmp1_, "gtk-dialogs-use-header", &_tmp2_, NULL);
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp3_) {
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = NULL;
#line 2463 "browser.c"
	} else {
		const gchar* _tmp4_ = NULL;
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = title;
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp4_ == NULL) {
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp4_ = message;
#line 2472 "browser.c"
		}
#line 663 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = _tmp4_;
#line 2476 "browser.c"
	}
#line 665 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = gtk_widget_get_settings ((GtkWidget*) self);
#line 665 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_get (_tmp6_, "gtk-dialogs-use-header", &_tmp7_, NULL);
#line 665 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = _tmp7_;
#line 665 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp8_) {
#line 665 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = GTK_DIALOG_USE_HEADER_BAR;
#line 2488 "browser.c"
	} else {
#line 665 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = 0;
#line 2492 "browser.c"
	}
#line 662 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = (GtkDialog*) gtk_dialog_new_with_buttons (_tmp0_, (GtkWindow*) self, _tmp5_, GTK_STOCK_CANCEL, GTK_RESPONSE_CANCEL, confirm, GTK_RESPONSE_ACCEPT, NULL);
#line 662 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp9_);
#line 662 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	dialog = _tmp9_;
#line 668 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (message != NULL) {
#line 2502 "browser.c"
		GtkLabel* label = NULL;
		GtkLabel* _tmp10_;
		GtkLabel* _tmp11_;
		GtkLabel* _tmp12_;
		GtkLabel* _tmp13_;
		GtkLabel* _tmp14_;
		GtkDialog* _tmp15_;
		GtkBox* _tmp16_;
		GtkLabel* _tmp17_;
#line 669 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = (GtkLabel*) gtk_label_new (message);
#line 669 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_ref_sink (_tmp10_);
#line 669 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		label = _tmp10_;
#line 670 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = label;
#line 670 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set (_tmp11_, "wrap", TRUE, NULL);
#line 671 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = label;
#line 671 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_label_set_max_width_chars (_tmp12_, 33);
#line 672 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = label;
#line 672 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set ((GtkWidget*) _tmp13_, "margin", 8, NULL);
#line 673 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = label;
#line 673 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_show ((GtkWidget*) _tmp14_);
#line 674 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = dialog;
#line 674 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp16_ = gtk_dialog_get_content_area (_tmp15_);
#line 674 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp17_ = label;
#line 674 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_container_add ((GtkContainer*) _tmp16_, (GtkWidget*) _tmp17_);
#line 668 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (label);
#line 2544 "browser.c"
	}
#line 676 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp18_ = (GtkEntry*) gtk_entry_new ();
#line 676 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp18_);
#line 676 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	entry = _tmp18_;
#line 677 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (text != NULL) {
#line 2554 "browser.c"
		GtkEntry* _tmp19_;
		GtkEntry* _tmp20_;
		GtkDialog* _tmp21_;
		GtkBox* _tmp22_;
		GtkEntry* _tmp23_;
#line 678 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp19_ = entry;
#line 678 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_entry_set_text (_tmp19_, text);
#line 679 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp20_ = entry;
#line 679 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_show ((GtkWidget*) _tmp20_);
#line 680 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp21_ = dialog;
#line 680 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp22_ = gtk_dialog_get_content_area (_tmp21_);
#line 680 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp23_ = entry;
#line 680 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_container_add ((GtkContainer*) _tmp22_, (GtkWidget*) _tmp23_);
#line 2576 "browser.c"
	}
#line 682 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp24_ = dialog;
#line 682 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_dialog_set_default_response (_tmp24_, (gint) GTK_RESPONSE_ACCEPT);
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp26_ = dialog;
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (gtk_dialog_run (_tmp26_) == ((gint) GTK_RESPONSE_ACCEPT)) {
#line 2586 "browser.c"
		const gchar* _tmp27_ = NULL;
		GtkEntry* _tmp28_;
		const gchar* _tmp29_;
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp28_ = entry;
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp29_ = gtk_entry_get_text (_tmp28_);
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp27_ = _tmp29_;
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp27_ == NULL) {
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp27_ = "";
#line 2600 "browser.c"
		}
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp25_ = _tmp27_;
#line 2604 "browser.c"
	} else {
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp25_ = NULL;
#line 2608 "browser.c"
	}
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp30_ = g_strdup (_tmp25_);
#line 683 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_result_ = _tmp30_;
#line 684 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31_ = dialog;
#line 684 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_emit_by_name (_tmp31_, "close");
#line 685 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _result_;
#line 685 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (entry);
#line 685 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (dialog);
#line 685 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 2626 "browser.c"
}

static void
midori_browser_caret_browsing_activated (MidoriBrowser* self)
{
	MidoriCoreSettings* settings = NULL;
	MidoriCoreSettings* _tmp0_;
	MidoriCoreSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 689 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = midori_core_settings_get_default ();
#line 689 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	settings = _tmp0_;
#line 690 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = settings;
#line 690 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = midori_core_settings_get_enable_caret_browsing (_tmp1_);
#line 690 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 690 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!_tmp3_) {
#line 2649 "browser.c"
		gchar* _tmp4_;
		gchar* _tmp5_;
		gboolean _tmp6_;
#line 691 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = midori_browser_prompt (self, _ ("Toggle text cursor navigation"), _ ("Pressing F7 toggles Caret Browsing. When active, a text cursor appears" \
" in all websites."), _ ("_Enable Caret Browsing"), NULL);
#line 691 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = _tmp4_;
#line 691 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = _tmp5_ != NULL;
#line 691 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (_tmp5_);
#line 691 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp6_) {
#line 2663 "browser.c"
			MidoriCoreSettings* _tmp7_;
#line 694 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp7_ = settings;
#line 694 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			midori_core_settings_set_enable_caret_browsing (_tmp7_, TRUE);
#line 2669 "browser.c"
		}
	} else {
		MidoriCoreSettings* _tmp8_;
#line 697 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = settings;
#line 697 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_core_settings_set_enable_caret_browsing (_tmp8_, FALSE);
#line 2677 "browser.c"
	}
#line 688 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (settings);
#line 2681 "browser.c"
}

static void
midori_browser_show_inspector_activated (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
	WebKitWebInspector* _tmp1_;
#line 702 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 702 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = webkit_web_view_get_inspector ((WebKitWebView*) _tmp0_);
#line 702 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_inspector_show (_tmp1_);
#line 2695 "browser.c"
}

static Block4Data*
block4_data_ref (Block4Data* _data4_)
{
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_atomic_int_inc (&_data4_->_ref_count_);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return _data4_;
#line 2705 "browser.c"
}

static void
block4_data_unref (void * _userdata_)
{
	Block4Data* _data4_;
	_data4_ = (Block4Data*) _userdata_;
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_atomic_int_dec_and_test (&_data4_->_ref_count_)) {
#line 2715 "browser.c"
		MidoriBrowser* self;
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self = _data4_->self;
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data4_->tab);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (self);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_slice_free (Block4Data, _data4_);
#line 2725 "browser.c"
	}
}

static WebKitNavigationAction*
_vala_WebKitNavigationAction_copy (WebKitNavigationAction* self)
{
#line 716 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return g_boxed_copy (webkit_navigation_action_get_type (), self);
#line 2734 "browser.c"
}

static gpointer
__vala_WebKitNavigationAction_copy0 (gpointer self)
{
#line 716 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return self ? _vala_WebKitNavigationAction_copy (self) : NULL;
#line 2742 "browser.c"
}

static void
_vala_WebKitNavigationAction_free (WebKitNavigationAction* self)
{
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_boxed_free (webkit_navigation_action_get_type (), self);
#line 2750 "browser.c"
}

static gboolean
___lambda38_ (MidoriBrowser* self,
              WebKitPolicyDecision* decision,
              WebKitPolicyDecisionType type)
{
	GError* _inner_error0_ = NULL;
	gboolean result;
#line 709 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	switch (type) {
#line 709 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case WEBKIT_POLICY_DECISION_TYPE_NAVIGATION_ACTION:
#line 2764 "browser.c"
		{
#line 712 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			webkit_policy_decision_use (decision);
#line 713 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			result = TRUE;
#line 713 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return result;
#line 2772 "browser.c"
		}
#line 709 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case WEBKIT_POLICY_DECISION_TYPE_NEW_WINDOW_ACTION:
#line 2776 "browser.c"
		{
			WebKitNavigationAction* action = NULL;
			WebKitNavigationAction* _tmp0_;
			WebKitNavigationAction* _tmp1_;
			WebKitNavigationAction* _tmp2_;
			gchar* uri = NULL;
			WebKitNavigationAction* _tmp3_;
			WebKitURIRequest* _tmp4_;
			const gchar* _tmp5_;
			const gchar* _tmp6_;
			gchar* _tmp7_;
#line 716 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp0_ = webkit_navigation_policy_decision_get_navigation_action (G_TYPE_CHECK_INSTANCE_CAST (decision, webkit_navigation_policy_decision_get_type (), WebKitNavigationPolicyDecision));
#line 716 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp1_ = _tmp0_;
#line 716 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp2_ = __vala_WebKitNavigationAction_copy0 (_tmp1_);
#line 716 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			action = _tmp2_;
#line 717 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp3_ = action;
#line 717 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp4_ = webkit_navigation_action_get_request (_tmp3_);
#line 717 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp5_ = webkit_uri_request_get_uri (_tmp4_);
#line 717 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp6_ = _tmp5_;
#line 717 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp7_ = g_strdup (_tmp6_);
#line 717 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			uri = _tmp7_;
#line 2808 "browser.c"
			{
				GdkScreen* _tmp8_;
				const gchar* _tmp9_;
#line 719 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp8_ = gtk_window_get_screen ((GtkWindow*) self);
#line 719 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp9_ = uri;
#line 719 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				gtk_show_uri (_tmp8_, _tmp9_, gtk_get_current_event_time (), &_inner_error0_);
#line 719 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2820 "browser.c"
					goto __catch0_g_error;
				}
			}
			goto __finally0;
			__catch0_g_error:
			{
				GError* _error_ = NULL;
				const gchar* _tmp10_;
				GError* _tmp11_;
				const gchar* _tmp12_;
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_error_ = _inner_error0_;
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_inner_error0_ = NULL;
#line 721 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp10_ = uri;
#line 721 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp11_ = _error_;
#line 721 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp12_ = _tmp11_->message;
#line 721 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				g_critical ("browser.vala:721: Failed to open %s: %s", _tmp10_, _tmp12_);
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_error_free0 (_error_);
#line 2845 "browser.c"
			}
			__finally0:
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			if (G_UNLIKELY (_inner_error0_ != NULL)) {
#line 2850 "browser.c"
				gboolean _tmp13_ = FALSE;
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_free0 (uri);
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				__vala_WebKitNavigationAction_free0 (action);
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error0_->message, g_quark_to_string (_inner_error0_->domain), _inner_error0_->code);
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				g_clear_error (&_inner_error0_);
#line 718 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				return _tmp13_;
#line 2862 "browser.c"
			}
#line 723 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			webkit_policy_decision_ignore (decision);
#line 724 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			result = TRUE;
#line 724 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_g_free0 (uri);
#line 724 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			__vala_WebKitNavigationAction_free0 (action);
#line 724 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return result;
#line 2874 "browser.c"
		}
		default:
		{
#line 726 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			result = FALSE;
#line 726 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			return result;
#line 2882 "browser.c"
		}
	}
}

static gboolean
____lambda38__webkit_web_view_decide_policy (WebKitWebView* _sender,
                                             WebKitPolicyDecision* decision,
                                             WebKitPolicyDecisionType type,
                                             gpointer self)
{
	gboolean result;
	result = ___lambda38_ ((MidoriBrowser*) self, decision, type);
#line 708 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 2897 "browser.c"
}

static Block5Data*
block5_data_ref (Block5Data* _data5_)
{
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return _data5_;
#line 2907 "browser.c"
}

static void
block5_data_unref (void * _userdata_)
{
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 2917 "browser.c"
		MidoriBrowser* self;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self = _data5_->_data4_->self;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data5_->new_tab);
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		block4_data_unref (_data5_->_data4_);
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_data5_->_data4_ = NULL;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_slice_free (Block5Data, _data5_);
#line 2929 "browser.c"
	}
}

static void
__lambda40_ (Block5Data* _data5_)
{
	Block4Data* _data4_;
	MidoriBrowser* self;
	WebKitWindowProperties* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
#line 733 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data4_ = _data5_->_data4_;
#line 733 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data4_->self;
#line 734 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_show ((GtkWidget*) _data5_->new_tab);
#line 735 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = webkit_web_view_get_window_properties ((WebKitWebView*) _data5_->new_tab);
#line 735 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = webkit_window_properties_get_locationbar_visible (_tmp0_);
#line 735 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 735 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!_tmp2_) {
#line 2955 "browser.c"
		MidoriBrowser* browser = NULL;
		GtkApplication* _tmp3_;
		GtkApplication* _tmp4_;
		MidoriBrowser* _tmp5_;
		GdkRectangle geometry = {0};
		WebKitWindowProperties* _tmp6_;
		GdkRectangle _tmp7_ = {0};
		GdkRectangle _tmp8_;
		gint _tmp9_ = 0;
		GdkRectangle _tmp10_;
		MidoriBrowser* _tmp12_;
		gint _tmp13_ = 0;
		GdkRectangle _tmp14_;
		MidoriBrowser* _tmp16_;
		MidoriBrowser* _tmp17_;
		MidoriBrowser* _tmp18_;
		MidoriBrowser* _tmp19_;
#line 736 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_tab_set_pinned (_data5_->new_tab, TRUE);
#line 737 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = gtk_window_get_application ((GtkWindow*) self);
#line 737 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = _tmp3_;
#line 737 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = midori_browser_new (G_TYPE_CHECK_INSTANCE_CAST (_tmp4_, MIDORI_TYPE_APP, MidoriApp), TRUE);
#line 737 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_ref_sink (_tmp5_);
#line 737 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		browser = _tmp5_;
#line 738 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = webkit_web_view_get_window_properties ((WebKitWebView*) _data5_->new_tab);
#line 738 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		webkit_window_properties_get_geometry (_tmp6_, &_tmp7_);
#line 738 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = _tmp7_;
#line 738 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		geometry = _tmp8_;
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = geometry;
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp10_.width > 1) {
#line 2997 "browser.c"
			GdkRectangle _tmp11_;
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp11_ = geometry;
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp9_ = _tmp11_.width;
#line 3003 "browser.c"
		} else {
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp9_ = 640;
#line 3007 "browser.c"
		}
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = browser;
#line 739 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set ((GtkWindow*) _tmp12_, "default-width", _tmp9_, NULL);
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = geometry;
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp14_.height > 1) {
#line 3017 "browser.c"
			GdkRectangle _tmp15_;
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp15_ = geometry;
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp13_ = _tmp15_.height;
#line 3023 "browser.c"
		} else {
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp13_ = 480;
#line 3027 "browser.c"
		}
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp16_ = browser;
#line 740 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set ((GtkWindow*) _tmp16_, "default-height", _tmp13_, NULL);
#line 741 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp17_ = browser;
#line 741 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_window_set_transient_for ((GtkWindow*) _tmp17_, (GtkWindow*) self);
#line 742 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp18_ = browser;
#line 742 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_add (_tmp18_, _data5_->new_tab);
#line 743 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp19_ = browser;
#line 743 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_show ((GtkWidget*) _tmp19_);
#line 744 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (browser);
#line 744 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return;
#line 3049 "browser.c"
	}
#line 746 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_set_data_full ((GObject*) _data5_->new_tab, "foreground", (gpointer) ((gintptr) TRUE), NULL);
#line 747 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_add (self, _data5_->new_tab);
#line 3055 "browser.c"
}

static void
___lambda40__webkit_web_view_ready_to_show (WebKitWebView* _sender,
                                            gpointer self)
{
#line 733 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda40_ (self);
#line 3064 "browser.c"
}

static GtkWidget*
__lambda39_ (Block4Data* _data4_,
             WebKitNavigationAction* action)
{
	MidoriBrowser* self;
	Block5Data* _data5_;
	WebKitWebContext* _tmp0_;
	MidoriTab* _tmp1_;
	WebKitURIRequest* _tmp2_;
	GtkWidget* _tmp3_;
	GtkWidget* result;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data4_->self;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data5_->_ref_count_ = 1;
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data5_->_data4_ = block4_data_ref (_data4_);
#line 731 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_web_context;
#line 731 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = midori_tab_new (_data4_->tab, _tmp0_, NULL, NULL);
#line 731 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp1_);
#line 731 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data5_->new_tab = _tmp1_;
#line 732 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_hide ((GtkWidget*) _data5_->new_tab);
#line 733 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((WebKitWebView*) _data5_->new_tab, "ready-to-show", (GCallback) ___lambda40__webkit_web_view_ready_to_show, block5_data_ref (_data5_), (GClosureNotify) block5_data_unref, 0);
#line 749 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = webkit_navigation_action_get_request (action);
#line 749 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	webkit_web_view_load_request ((WebKitWebView*) _data5_->new_tab, _tmp2_);
#line 750 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _g_object_ref0 ((GtkWidget*) _data5_->new_tab);
#line 750 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _tmp3_;
#line 750 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	block5_data_unref (_data5_);
#line 750 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data5_ = NULL;
#line 750 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3112 "browser.c"
}

static GtkWidget*
___lambda39__webkit_web_view_create (WebKitWebView* _sender,
                                     WebKitNavigationAction* navigation_action,
                                     gpointer self)
{
	GtkWidget* result;
	result = __lambda39_ (self, navigation_action);
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3124 "browser.c"
}

static gboolean
__lambda41_ (MidoriBrowser* self)
{
	MidoriNavigationbar* _tmp0_;
	gboolean result;
#line 753 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->navigationbar;
#line 753 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_hide ((GtkWidget*) _tmp0_);
#line 754 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = FALSE;
#line 754 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3140 "browser.c"
}

static gboolean
___lambda41__webkit_web_view_enter_fullscreen (WebKitWebView* _sender,
                                               gpointer self)
{
	gboolean result;
	result = __lambda41_ ((MidoriBrowser*) self);
#line 752 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3151 "browser.c"
}

static gboolean
__lambda42_ (Block4Data* _data4_)
{
	MidoriBrowser* self;
	MidoriNavigationbar* _tmp0_;
	gboolean _tmp1_;
	gboolean _tmp2_;
	gboolean result;
#line 756 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data4_->self;
#line 757 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->navigationbar;
#line 757 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = midori_tab_get_pinned (_data4_->tab);
#line 757 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 757 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_set_visible ((GtkWidget*) _tmp0_, !_tmp2_);
#line 758 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = FALSE;
#line 758 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3176 "browser.c"
}

static gboolean
___lambda42__webkit_web_view_leave_fullscreen (WebKitWebView* _sender,
                                               gpointer self)
{
	gboolean result;
	result = __lambda42_ (self);
#line 756 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3187 "browser.c"
}

static void
__lambda43_ (Block4Data* _data4_)
{
	MidoriBrowser* self;
	gboolean _tmp0_ = FALSE;
	MidoriDatabaseItem* _tmp1_;
	MidoriDatabaseItem* _tmp2_;
	const gchar* _tmp3_;
	const gchar* _tmp4_;
	GListStore* _tmp9_;
	MidoriDatabaseItem* _tmp10_;
	MidoriDatabaseItem* _tmp11_;
#line 760 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data4_->self;
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = midori_tab_get_item (_data4_->tab);
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = midori_database_item_get_uri (_tmp2_);
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = _tmp3_;
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_str_has_prefix (_tmp4_, "internal:")) {
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = TRUE;
#line 3216 "browser.c"
	} else {
		MidoriDatabaseItem* _tmp5_;
		MidoriDatabaseItem* _tmp6_;
		const gchar* _tmp7_;
		const gchar* _tmp8_;
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = midori_tab_get_item (_data4_->tab);
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = _tmp5_;
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = midori_database_item_get_uri (_tmp6_);
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = _tmp7_;
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = g_str_has_prefix (_tmp8_, "about:");
#line 3232 "browser.c"
	}
#line 762 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp0_) {
#line 763 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		return;
#line 3238 "browser.c"
	}
#line 765 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = self->priv->_trash;
#line 765 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = midori_tab_get_item (_data4_->tab);
#line 765 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = _tmp10_;
#line 765 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_list_store_append (_tmp9_, (GObject*) _tmp11_);
#line 3248 "browser.c"
}

static void
___lambda43__webkit_web_view_close (WebKitWebView* _sender,
                                    gpointer self)
{
#line 760 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda43_ (self);
#line 3257 "browser.c"
}

static void
__lambda44_ (Block4Data* _data4_,
             GParamSpec* pspec)
{
	MidoriBrowser* self;
	GtkStack* _tmp0_;
	const gchar* _tmp1_;
	const gchar* _tmp2_;
#line 768 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data4_->self;
#line 769 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->tabs;
#line 769 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = midori_tab_get_display_title (_data4_->tab);
#line 769 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _tmp1_;
#line 769 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_container_child_set ((GtkContainer*) _tmp0_, (GtkWidget*) _data4_->tab, "title", _tmp2_, NULL);
#line 3278 "browser.c"
}

static void
___lambda44__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 768 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda44_ (self, pspec);
#line 3288 "browser.c"
}

void
midori_browser_add (MidoriBrowser* self,
                    MidoriTab* tab)
{
	Block4Data* _data4_;
	MidoriTab* _tmp0_;
	GtkPopover* _tmp1_;
	MidoriNavigationbar* _tmp2_;
	MidoriUrlbar* _tmp3_;
	gboolean _tmp4_;
	GtkStack* _tmp5_;
	gchar* _tmp6_;
	gchar* _tmp7_;
	gchar* _tmp8_;
	const gchar* _tmp9_;
	const gchar* _tmp10_;
	gconstpointer _tmp11_;
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data4_ = g_slice_new0 (Block4Data);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data4_->_ref_count_ = 1;
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data4_->self = g_object_ref (self);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _g_object_ref0 (tab);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data4_->tab);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data4_->tab = _tmp0_;
#line 706 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _data4_->tab->popover;
#line 706 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = self->priv->navigationbar;
#line 706 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_->urlbar;
#line 706 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_popover_set_relative_to (_tmp1_, (GtkWidget*) _tmp3_);
#line 707 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = self->priv->_is_locked;
#line 707 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp4_) {
#line 708 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_signal_connect_object ((WebKitWebView*) _data4_->tab, "decide-policy", (GCallback) ____lambda38__webkit_web_view_decide_policy, self, 0);
#line 3334 "browser.c"
	}
#line 730 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((WebKitWebView*) _data4_->tab, "create", (GCallback) ___lambda39__webkit_web_view_create, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 752 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((WebKitWebView*) _data4_->tab, "enter-fullscreen", (GCallback) ___lambda41__webkit_web_view_enter_fullscreen, self, 0);
#line 756 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((WebKitWebView*) _data4_->tab, "leave-fullscreen", (GCallback) ___lambda42__webkit_web_view_leave_fullscreen, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 760 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((WebKitWebView*) _data4_->tab, "close", (GCallback) ___lambda43__webkit_web_view_close, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 768 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((GObject*) _data4_->tab, "notify::display-title", (GCallback) ___lambda44__g_object_notify, block4_data_ref (_data4_), (GClosureNotify) block4_data_unref, 0);
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->tabs;
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = midori_tab_get_id (_data4_->tab);
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = _tmp7_;
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = midori_tab_get_display_title (_data4_->tab);
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = _tmp9_;
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_stack_add_titled (_tmp5_, (GtkWidget*) _data4_->tab, _tmp8_, _tmp10_);
#line 771 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (_tmp8_);
#line 772 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = g_object_get_data ((GObject*) _data4_->tab, "foreground");
#line 772 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if ((gboolean) ((gintptr) _tmp11_)) {
#line 3366 "browser.c"
		GtkStack* _tmp12_;
#line 773 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = self->tabs;
#line 773 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_stack_set_visible_child (_tmp12_, (GtkWidget*) _data4_->tab);
#line 3372 "browser.c"
	}
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	block4_data_unref (_data4_);
#line 705 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data4_ = NULL;
#line 3378 "browser.c"
}

static void
midori_browser_clear_private_data_activated (MidoriBrowser* self)
{
	MidoriClearPrivateData* _tmp0_;
	MidoriClearPrivateData* _tmp1_;
#line 778 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = midori_clear_private_data_new ((GtkWindow*) self);
#line 778 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp0_);
#line 778 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _tmp0_;
#line 778 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_show ((GtkWidget*) _tmp1_);
#line 778 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_tmp1_);
#line 3396 "browser.c"
}

static void
midori_browser_preferences_activated (MidoriBrowser* self)
{
	MidoriPreferences* _tmp0_;
	MidoriPreferences* _tmp1_;
#line 782 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = midori_preferences_new ((GtkWindow*) self);
#line 782 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp0_);
#line 782 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _tmp0_;
#line 782 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_show ((GtkWidget*) _tmp1_);
#line 782 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_tmp1_);
#line 3414 "browser.c"
}

static void
midori_browser_about_activated (MidoriBrowser* self)
{
	MidoriAbout* about = NULL;
	MidoriAbout* _tmp0_;
#line 786 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = midori_about_new ((GtkWindow*) self);
#line 786 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_ref_sink (_tmp0_);
#line 786 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	about = _tmp0_;
#line 787 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_dialog_run ((GtkDialog*) about);
#line 788 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_emit_by_name ((GtkDialog*) about, "close");
#line 785 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (about);
#line 3434 "browser.c"
}

WebKitWebContext*
midori_browser_get_web_context (MidoriBrowser* self)
{
	WebKitWebContext* result;
	WebKitWebContext* _tmp0_;
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_web_context;
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _tmp0_;
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3448 "browser.c"
}

void
midori_browser_set_web_context (MidoriBrowser* self,
                                WebKitWebContext* value)
{
	WebKitWebContext* old_value;
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_web_context (self);
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 3460 "browser.c"
		WebKitWebContext* _tmp0_;
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (self->priv->_web_context);
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_web_context = _tmp0_;
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_WEB_CONTEXT_PROPERTY]);
#line 3470 "browser.c"
	}
}

gboolean
midori_browser_get_idle (MidoriBrowser* self)
{
	gboolean result;
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = self->priv->_idle;
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3482 "browser.c"
}

void
midori_browser_set_idle (MidoriBrowser* self,
                         gboolean value)
{
	gboolean old_value;
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_idle (self);
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_idle = value;
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_IDLE_PROPERTY]);
#line 3498 "browser.c"
	}
}

gboolean
midori_browser_get_is_loading (MidoriBrowser* self)
{
	gboolean result;
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = self->priv->_is_loading;
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3510 "browser.c"
}

void
midori_browser_set_is_loading (MidoriBrowser* self,
                               gboolean value)
{
	gboolean old_value;
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_is_loading (self);
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_is_loading = value;
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_IS_LOADING_PROPERTY]);
#line 3526 "browser.c"
	}
}

const gchar*
midori_browser_get_uri (MidoriBrowser* self)
{
	const gchar* result;
	const gchar* _tmp0_;
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_uri;
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _tmp0_;
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3541 "browser.c"
}

void
midori_browser_set_uri (MidoriBrowser* self,
                        const gchar* value)
{
	gchar* old_value;
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_uri (self);
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_strcmp0 (value, old_value) != 0) {
#line 3553 "browser.c"
		gchar* _tmp0_;
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = g_strdup (value);
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (self->priv->_uri);
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_uri = _tmp0_;
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_URI_PROPERTY]);
#line 3563 "browser.c"
	}
}

MidoriTab*
midori_browser_get_tab (MidoriBrowser* self)
{
	MidoriTab* result;
	MidoriTab* _tmp0_;
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _tmp0_;
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3578 "browser.c"
}

void
midori_browser_set_tab (MidoriBrowser* self,
                        MidoriTab* value)
{
	MidoriTab* old_value;
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_tab (self);
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 3590 "browser.c"
		MidoriTab* _tmp0_;
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (self->priv->_tab);
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_tab = _tmp0_;
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_TAB_PROPERTY]);
#line 3600 "browser.c"
	}
}

GListStore*
midori_browser_get_trash (MidoriBrowser* self)
{
	GListStore* result;
	GListStore* _tmp0_;
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_trash;
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = _tmp0_;
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3615 "browser.c"
}

void
midori_browser_set_trash (MidoriBrowser* self,
                          GListStore* value)
{
	GListStore* old_value;
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_trash (self);
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 3627 "browser.c"
		GListStore* _tmp0_;
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = _g_object_ref0 (value);
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (self->priv->_trash);
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_trash = _tmp0_;
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_TRASH_PROPERTY]);
#line 3637 "browser.c"
	}
}

gboolean
midori_browser_get_is_fullscreen (MidoriBrowser* self)
{
	gboolean result;
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = self->priv->_is_fullscreen;
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3649 "browser.c"
}

void
midori_browser_set_is_fullscreen (MidoriBrowser* self,
                                  gboolean value)
{
	gboolean old_value;
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_is_fullscreen (self);
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_is_fullscreen = value;
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_IS_FULLSCREEN_PROPERTY]);
#line 3665 "browser.c"
	}
}

gboolean
midori_browser_get_is_locked (MidoriBrowser* self)
{
	gboolean result;
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = self->priv->_is_locked;
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3677 "browser.c"
}

void
midori_browser_set_is_locked (MidoriBrowser* self,
                              gboolean value)
{
	gboolean old_value;
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_is_locked (self);
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_is_locked = value;
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_IS_LOCKED_PROPERTY]);
#line 3693 "browser.c"
	}
}

gboolean
midori_browser_get_is_small (MidoriBrowser* self)
{
	gboolean result;
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = self->priv->_is_small;
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3705 "browser.c"
}

void
midori_browser_set_is_small (MidoriBrowser* self,
                             gboolean value)
{
	gboolean old_value;
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_is_small (self);
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_is_small = value;
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_IS_SMALL_PROPERTY]);
#line 3721 "browser.c"
	}
}

gdouble
midori_browser_get_zoom_level (MidoriBrowser* self)
{
	gdouble result;
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = self->priv->_zoom_level;
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3733 "browser.c"
}

void
midori_browser_set_zoom_level (MidoriBrowser* self,
                               gdouble value)
{
	gdouble old_value;
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	old_value = midori_browser_get_zoom_level (self);
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (old_value != value) {
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->_zoom_level = value;
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_notify_by_pspec ((GObject *) self, midori_browser_properties[MIDORI_BROWSER_ZOOM_LEVEL_PROPERTY]);
#line 3749 "browser.c"
	}
}

static void
g_cclosure_user_marshal_BOOLEAN__VOID (GClosure * closure,
                                       GValue * return_value,
                                       guint n_param_values,
                                       const GValue * param_values,
                                       gpointer invocation_hint,
                                       gpointer marshal_data)
{
	typedef gboolean (*GMarshalFunc_BOOLEAN__VOID) (gpointer data1, gpointer data2);
	register GMarshalFunc_BOOLEAN__VOID callback;
	register GCClosure * cc;
	register gpointer data1;
	register gpointer data2;
	gboolean v_return;
	cc = (GCClosure *) closure;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_return_if_fail (return_value != NULL);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_return_if_fail (n_param_values == 1);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (G_CCLOSURE_SWAP_DATA (closure)) {
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		data1 = closure->data;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		data2 = param_values->data[0].v_pointer;
#line 3778 "browser.c"
	} else {
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		data1 = param_values->data[0].v_pointer;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		data2 = closure->data;
#line 3784 "browser.c"
	}
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	callback = (GMarshalFunc_BOOLEAN__VOID) (marshal_data ? marshal_data : cc->callback);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	v_return = callback (data1, data2);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_value_set_boolean (return_value, v_return);
#line 3792 "browser.c"
}

static Block6Data*
block6_data_ref (Block6Data* _data6_)
{
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return _data6_;
#line 3802 "browser.c"
}

static void
block6_data_unref (void * _userdata_)
{
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 3812 "browser.c"
		MidoriBrowser* self;
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self = _data6_->self;
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->settings);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->stop);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->reload);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->go_forward);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->go_back);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->panel_action);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->show_downloads);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (_data6_->action);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (self);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_slice_free (Block6Data, _data6_);
#line 3836 "browser.c"
	}
}

static gboolean
_midori_browser___lambda71_ (MidoriBrowser* self,
                             GdkEventCrossing* event)
{
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_;
	MidoriStatusbar* _tmp8_;
	gboolean result;
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->_is_fullscreen;
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp1_) {
#line 3852 "browser.c"
		MidoriTab* _tmp2_;
		gboolean _tmp3_;
		gboolean _tmp4_;
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = self->priv->_tab;
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = midori_tab_get_pinned (_tmp2_);
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = _tmp3_;
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = !_tmp4_;
#line 3864 "browser.c"
	} else {
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp0_ = FALSE;
#line 3868 "browser.c"
	}
#line 89 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp0_) {
#line 3872 "browser.c"
		MidoriNavigationbar* _tmp5_;
		MidoriNavigationbar* _tmp6_;
		MidoriUrlbar* _tmp7_;
#line 90 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = self->priv->navigationbar;
#line 90 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_show ((GtkWidget*) _tmp5_);
#line 91 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = self->priv->navigationbar;
#line 91 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = _tmp6_->urlbar;
#line 91 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_grab_focus ((GtkWidget*) _tmp7_);
#line 3886 "browser.c"
	}
#line 93 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = self->statusbar;
#line 93 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!_tmp8_->has_children) {
#line 3892 "browser.c"
		gboolean was_visible = FALSE;
		MidoriStatusbar* _tmp9_;
		gboolean _tmp10_;
		gboolean _tmp11_;
		MidoriStatusbar* _tmp12_;
		GtkAlign _tmp13_ = 0;
		MidoriStatusbar* _tmp14_;
		GtkAlign _tmp15_;
		GtkAlign _tmp16_;
		MidoriStatusbar* _tmp17_;
		MidoriStatusbar* _tmp18_;
#line 94 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = self->statusbar;
#line 94 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = gtk_widget_get_visible ((GtkWidget*) _tmp9_);
#line 94 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = _tmp10_;
#line 94 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		was_visible = _tmp11_;
#line 95 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = self->statusbar;
#line 95 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_hide ((GtkWidget*) _tmp12_);
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = self->statusbar;
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = gtk_widget_get_halign ((GtkWidget*) _tmp14_);
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp16_ = _tmp15_;
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp16_ == GTK_ALIGN_START) {
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp13_ = GTK_ALIGN_END;
#line 3926 "browser.c"
		} else {
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp13_ = GTK_ALIGN_START;
#line 3930 "browser.c"
		}
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp17_ = self->statusbar;
#line 97 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp17_, _tmp13_);
#line 98 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp18_ = self->statusbar;
#line 98 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp18_, was_visible);
#line 3940 "browser.c"
	}
#line 100 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = FALSE;
#line 100 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3946 "browser.c"
}

static gboolean
__midori_browser___lambda71__gtk_widget_enter_notify_event (GtkWidget* _sender,
                                                            GdkEventCrossing* event,
                                                            gpointer self)
{
	gboolean result;
	result = _midori_browser___lambda71_ ((MidoriBrowser*) self, event);
#line 88 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3958 "browser.c"
}

static gboolean
_midori_browser___lambda72_ (MidoriBrowser* self,
                             GdkEventMotion* event)
{
	gboolean result;
#line 103 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_idle (self, FALSE);
#line 104 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = FALSE;
#line 104 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3972 "browser.c"
}

static gboolean
__midori_browser___lambda72__gtk_widget_motion_notify_event (GtkWidget* _sender,
                                                             GdkEventMotion* event,
                                                             gpointer self)
{
	gboolean result;
	result = _midori_browser___lambda72_ ((MidoriBrowser*) self, event);
#line 102 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 3984 "browser.c"
}

static gboolean
_midori_browser___lambda73_ (MidoriBrowser* self,
                             GdkEventFocus* event)
{
	gboolean _tmp0_;
	gboolean result;
#line 107 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_is_fullscreen;
#line 107 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp0_) {
#line 3997 "browser.c"
		MidoriNavigationbar* _tmp1_;
#line 108 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = self->priv->navigationbar;
#line 108 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_hide ((GtkWidget*) _tmp1_);
#line 4003 "browser.c"
	}
#line 110 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = FALSE;
#line 110 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 4009 "browser.c"
}

static gboolean
__midori_browser___lambda73__gtk_widget_focus_out_event (GtkWidget* _sender,
                                                         GdkEventFocus* event,
                                                         gpointer self)
{
	gboolean result;
	result = _midori_browser___lambda73_ ((MidoriBrowser*) self, event);
#line 106 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 4021 "browser.c"
}

static GVariant*
_variant_new9 (const gchar* value)
{
#line 156 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 4029 "browser.c"
}

static GVariant*
_variant_new10 (const gchar* value)
{
#line 160 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 4037 "browser.c"
}

static GVariant*
_variant_new11 (const gchar* value)
{
#line 166 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return g_variant_ref_sink (g_variant_new_string (value));
#line 4045 "browser.c"
}

static void
__lambda75_ (MidoriBrowser* self)
{
	GMenu* app_menu_model = NULL;
	GMenu* _tmp0_;
	GMenu* _tmp1_;
	GtkApplication* _tmp2_;
	GtkApplication* _tmp3_;
	GMenu* _tmp4_;
	GMenu* _tmp5_;
	GMenuItem* zoom_section = NULL;
	GMenu* _tmp6_;
	GMenuItem* _tmp7_;
	GMenuItem* _tmp8_;
	GVariant* _tmp9_;
	GMenu* _tmp10_;
	GMenuItem* _tmp11_;
	GMenuItem* zoom_out = NULL;
	GMenuItem* _tmp12_;
	GMenuItem* _tmp13_;
	GVariant* _tmp14_;
	GMenu* _tmp15_;
	GMenuItem* _tmp16_;
	GMenuItem* zoom_reset = NULL;
	gdouble _tmp17_;
	gchar* _tmp18_;
	gchar* _tmp19_;
	GMenuItem* _tmp20_;
	GMenuItem* _tmp21_;
	GMenu* _tmp22_;
	GMenuItem* _tmp23_;
	GMenuItem* zoom_in = NULL;
	GMenuItem* _tmp24_;
	GMenuItem* _tmp25_;
	GVariant* _tmp26_;
	GMenu* _tmp27_;
	GMenuItem* _tmp28_;
	GMenu* _tmp29_;
	GtkApplication* _tmp30_;
	GtkApplication* _tmp31_;
	GMenu* _tmp32_;
	gboolean _tmp33_;
	GMenu* _tmp49_;
	GtkApplication* _tmp50_;
	GtkApplication* _tmp51_;
	GMenu* _tmp52_;
	GtkMenuButton* _tmp53_;
	GMenu* _tmp54_;
#line 151 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = g_menu_new ();
#line 151 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	app_menu_model = _tmp0_;
#line 152 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = app_menu_model;
#line 152 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = gtk_window_get_application ((GtkWindow*) self);
#line 152 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 152 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = gtk_application_get_menu_by_id (_tmp3_, "window-menu");
#line 152 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_prepend_section (_tmp1_, NULL, (GMenuModel*) _tmp4_);
#line 154 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = g_menu_new ();
#line 154 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (self->priv->zoom_menu);
#line 154 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->zoom_menu = _tmp5_;
#line 155 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = self->priv->zoom_menu;
#line 155 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = g_menu_item_new_section (NULL, (GMenuModel*) _tmp6_);
#line 155 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	zoom_section = _tmp7_;
#line 156 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = zoom_section;
#line 156 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = _variant_new9 ("horizontal-buttons");
#line 156 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_item_set_attribute_value (_tmp8_, "display-hint", _tmp9_);
#line 156 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_variant_unref0 (_tmp9_);
#line 157 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = app_menu_model;
#line 157 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = zoom_section;
#line 157 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_append_item (_tmp10_, _tmp11_);
#line 158 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp12_ = g_menu_item_new (_ ("Decrease the zoom level"), "win.tab-zoom(-0.1)");
#line 158 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	zoom_out = _tmp12_;
#line 160 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp13_ = zoom_out;
#line 160 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp14_ = _variant_new10 ("zoom-out-symbolic");
#line 160 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_item_set_attribute_value (_tmp13_, "verb-icon", _tmp14_);
#line 160 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_variant_unref0 (_tmp14_);
#line 161 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp15_ = self->priv->zoom_menu;
#line 161 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp16_ = zoom_out;
#line 161 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_append_item (_tmp15_, _tmp16_);
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp17_ = self->priv->_zoom_level;
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp18_ = g_strdup_printf ("%.f%%", 100 * _tmp17_);
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp19_ = _tmp18_;
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp20_ = g_menu_item_new (_tmp19_, "win.tab-zoom(1.0)");
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp21_ = _tmp20_;
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (_tmp19_);
#line 162 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	zoom_reset = _tmp21_;
#line 163 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp22_ = self->priv->zoom_menu;
#line 163 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp23_ = zoom_reset;
#line 163 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_append_item (_tmp22_, _tmp23_);
#line 164 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp24_ = g_menu_item_new (_ ("Increase the zoom level"), "win.tab-zoom(0.1)");
#line 164 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	zoom_in = _tmp24_;
#line 166 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp25_ = zoom_in;
#line 166 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp26_ = _variant_new11 ("zoom-in-symbolic");
#line 166 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_item_set_attribute_value (_tmp25_, "verb-icon", _tmp26_);
#line 166 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_variant_unref0 (_tmp26_);
#line 167 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp27_ = self->priv->zoom_menu;
#line 167 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp28_ = zoom_in;
#line 167 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_append_item (_tmp27_, _tmp28_);
#line 169 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp29_ = app_menu_model;
#line 169 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp30_ = gtk_window_get_application ((GtkWindow*) self);
#line 169 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31_ = _tmp30_;
#line 169 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp32_ = gtk_application_get_menu_by_id (_tmp31_, "page-menu");
#line 169 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_append_section (_tmp29_, NULL, (GMenuModel*) _tmp32_);
#line 171 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp33_ = self->priv->_is_small;
#line 171 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp33_) {
#line 4206 "browser.c"
		gboolean _tmp34_;
		MidoriDownloadButton* _tmp43_;
		GtkPopover* _tmp44_;
		GtkMenuButton* _tmp45_;
#line 172 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp34_ = self->priv->_is_locked;
#line 172 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (!_tmp34_) {
#line 4215 "browser.c"
			GMenu* _tmp35_;
			GtkApplication* _tmp36_;
			GtkApplication* _tmp37_;
			GMenu* _tmp38_;
			GMenu* _tmp39_;
			GtkApplication* _tmp40_;
			GtkApplication* _tmp41_;
			GMenu* _tmp42_;
#line 173 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp35_ = app_menu_model;
#line 173 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp36_ = gtk_window_get_application ((GtkWindow*) self);
#line 173 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp37_ = _tmp36_;
#line 173 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp38_ = gtk_application_get_menu_by_id (_tmp37_, "page-menu-small");
#line 173 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_menu_prepend_section (_tmp35_, NULL, (GMenuModel*) _tmp38_);
#line 174 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp39_ = app_menu_model;
#line 174 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp40_ = gtk_window_get_application ((GtkWindow*) self);
#line 174 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp41_ = _tmp40_;
#line 174 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp42_ = gtk_application_get_menu_by_id (_tmp41_, "app-menu-small");
#line 174 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_menu_prepend_section (_tmp39_, NULL, (GMenuModel*) _tmp42_);
#line 4244 "browser.c"
		}
#line 177 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp43_ = self->priv->downloads;
#line 177 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp44_ = _tmp43_->popover;
#line 177 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp45_ = self->priv->app_menu;
#line 177 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_popover_set_relative_to (_tmp44_, (GtkWidget*) _tmp45_);
#line 4254 "browser.c"
	} else {
		MidoriDownloadButton* _tmp46_;
		GtkPopover* _tmp47_;
		MidoriDownloadButton* _tmp48_;
#line 179 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp46_ = self->priv->downloads;
#line 179 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp47_ = _tmp46_->popover;
#line 179 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp48_ = self->priv->downloads;
#line 179 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_popover_set_relative_to (_tmp47_, (GtkWidget*) _tmp48_);
#line 4267 "browser.c"
	}
#line 181 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp49_ = app_menu_model;
#line 181 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp50_ = gtk_window_get_application ((GtkWindow*) self);
#line 181 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp51_ = _tmp50_;
#line 181 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp52_ = gtk_application_get_menu_by_id (_tmp51_, "app-menu");
#line 181 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_menu_append_section (_tmp49_, NULL, (GMenuModel*) _tmp52_);
#line 182 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp53_ = self->priv->app_menu;
#line 182 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp54_ = app_menu_model;
#line 182 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_menu_button_set_menu_model (_tmp53_, (GMenuModel*) _tmp54_);
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (zoom_in);
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (zoom_reset);
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (zoom_out);
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (zoom_section);
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (app_menu_model);
#line 4295 "browser.c"
}

static void
___lambda75__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda75_ ((MidoriBrowser*) self);
#line 4305 "browser.c"
}

static void
__lambda76_ (MidoriBrowser* self)
{
	GMenu* _tmp0_;
#line 187 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->zoom_menu;
#line 187 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_menu_model_get_n_items ((GMenuModel*) _tmp0_) > 0) {
#line 4316 "browser.c"
		GMenu* _tmp1_;
		GMenuItem* zoom_reset = NULL;
		MidoriTab* _tmp2_;
		gdouble _tmp3_;
		gdouble _tmp4_;
		gchar* _tmp5_;
		gchar* _tmp6_;
		GMenuItem* _tmp7_;
		GMenuItem* _tmp8_;
		GMenu* _tmp9_;
		GMenuItem* _tmp10_;
#line 188 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = self->priv->zoom_menu;
#line 188 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_menu_remove (_tmp1_, 1);
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp2_ = self->priv->_tab;
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp3_ = webkit_web_view_get_zoom_level ((WebKitWebView*) _tmp2_);
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp4_ = _tmp3_;
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp5_ = g_strdup_printf ("%.f%%", 100 * _tmp4_);
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = _tmp5_;
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = g_menu_item_new (_tmp6_, "win.tab-zoom(1.0)");
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = _tmp7_;
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (_tmp6_);
#line 189 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		zoom_reset = _tmp8_;
#line 190 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = self->priv->zoom_menu;
#line 190 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = zoom_reset;
#line 190 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_menu_insert_item (_tmp9_, 1, _tmp10_);
#line 187 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (zoom_reset);
#line 4358 "browser.c"
	}
}

static void
___lambda76__g_object_notify (GObject* _sender,
                              GParamSpec* pspec,
                              gpointer self)
{
#line 186 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda76_ ((MidoriBrowser*) self);
#line 4369 "browser.c"
}

static void
__lambda77_ (MidoriBrowser* self,
             PeasPluginInfo* info,
             GObject* extension)
{
#line 198 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_activatable_activate (G_TYPE_CHECK_INSTANCE_CAST (extension, MIDORI_TYPE_BROWSER_ACTIVATABLE, MidoriBrowserActivatable));
#line 4379 "browser.c"
}

static void
___lambda77__peas_extension_set_extension_added (PeasExtensionSet* _sender,
                                                 PeasPluginInfo* info,
                                                 GObject* exten,
                                                 gpointer self)
{
#line 198 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda77_ ((MidoriBrowser*) self, info, exten);
#line 4390 "browser.c"
}

static void
__lambda78_ (MidoriBrowser* self,
             PeasPluginInfo* info,
             GObject* extension)
{
#line 199 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_emit (G_TYPE_CHECK_INSTANCE_CAST (extension, MIDORI_TYPE_BROWSER_ACTIVATABLE, MidoriBrowserActivatable), midori_browser_activatable_signals[MIDORI_BROWSER_ACTIVATABLE_DEACTIVATE_SIGNAL], 0);
#line 4400 "browser.c"
}

static void
___lambda78__peas_extension_set_extension_removed (PeasExtensionSet* _sender,
                                                   PeasPluginInfo* info,
                                                   GObject* exten,
                                                   gpointer self)
{
#line 199 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda78_ ((MidoriBrowser*) self, info, exten);
#line 4411 "browser.c"
}

static void
__lambda79_ (MidoriBrowser* self,
             PeasExtensionSet* extensions,
             PeasPluginInfo* info,
             PeasExtension* extension)
{
#line 200 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_emit_by_name (extensions, "extension-added", info, (GObject*) extension);
#line 4422 "browser.c"
}

static void
___lambda79__peas_extension_set_foreach_func (PeasExtensionSet* set,
                                              PeasPluginInfo* info,
                                              PeasExtension* exten,
                                              gpointer self)
{
#line 200 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	__lambda79_ ((MidoriBrowser*) self, set, info, exten);
#line 4433 "browser.c"
}

static void
_midori_browser___lambda74_ (MidoriBrowser* self,
                             GParamSpec* pspec)
{
	GtkApplication* _tmp0_;
	GtkApplication* _tmp1_;
	gchar* _tmp2_;
	gchar* _tmp3_;
	gchar** _tmp4_;
	gchar** _tmp5_;
	gint _tmp5__length1;
	GtkApplication* _tmp6_;
	GtkApplication* _tmp7_;
	gchar* _tmp8_;
	gchar** _tmp9_;
	gchar** _tmp10_;
	gint _tmp10__length1;
	GtkApplication* _tmp11_;
	GtkApplication* _tmp12_;
	gchar* _tmp13_;
	gchar** _tmp14_;
	gchar** _tmp15_;
	gint _tmp15__length1;
	GtkApplication* _tmp16_;
	GtkApplication* _tmp17_;
	gchar* _tmp18_;
	gchar** _tmp19_;
	gchar** _tmp20_;
	gint _tmp20__length1;
	GtkApplication* _tmp21_;
	GtkApplication* _tmp22_;
	gchar* _tmp23_;
	gchar* _tmp24_;
	gchar** _tmp25_;
	gchar** _tmp26_;
	gint _tmp26__length1;
	GtkApplication* _tmp27_;
	GtkApplication* _tmp28_;
	gchar* _tmp29_;
	gchar** _tmp30_;
	gchar** _tmp31_;
	gint _tmp31__length1;
	GtkApplication* _tmp32_;
	GtkApplication* _tmp33_;
	gchar* _tmp34_;
	gchar** _tmp35_;
	gchar** _tmp36_;
	gint _tmp36__length1;
	GtkApplication* _tmp37_;
	GtkApplication* _tmp38_;
	gchar* _tmp39_;
	gchar** _tmp40_;
	gchar** _tmp41_;
	gint _tmp41__length1;
	GtkApplication* _tmp42_;
	GtkApplication* _tmp43_;
	gchar* _tmp44_;
	gchar* _tmp45_;
	gchar** _tmp46_;
	gchar** _tmp47_;
	gint _tmp47__length1;
	GtkApplication* _tmp48_;
	GtkApplication* _tmp49_;
	gchar* _tmp50_;
	gchar* _tmp51_;
	gchar** _tmp52_;
	gchar** _tmp53_;
	gint _tmp53__length1;
	GtkApplication* _tmp54_;
	GtkApplication* _tmp55_;
	gchar* _tmp56_;
	gchar** _tmp57_;
	gchar** _tmp58_;
	gint _tmp58__length1;
	GtkApplication* _tmp59_;
	GtkApplication* _tmp60_;
	gchar* _tmp61_;
	gchar** _tmp62_;
	gchar** _tmp63_;
	gint _tmp63__length1;
	GtkApplication* _tmp64_;
	GtkApplication* _tmp65_;
	gchar* _tmp66_;
	gchar** _tmp67_;
	gchar** _tmp68_;
	gint _tmp68__length1;
	GtkApplication* _tmp69_;
	GtkApplication* _tmp70_;
	gchar* _tmp71_;
	gchar* _tmp72_;
	gchar** _tmp73_;
	gchar** _tmp74_;
	gint _tmp74__length1;
	GtkApplication* _tmp75_;
	GtkApplication* _tmp76_;
	gchar* _tmp77_;
	gchar* _tmp78_;
	gchar* _tmp79_;
	gchar** _tmp80_;
	gchar** _tmp81_;
	gint _tmp81__length1;
	GtkApplication* _tmp82_;
	GtkApplication* _tmp83_;
	gchar* _tmp84_;
	gchar* _tmp85_;
	gchar** _tmp86_;
	gchar** _tmp87_;
	gint _tmp87__length1;
	GtkApplication* _tmp88_;
	GtkApplication* _tmp89_;
	gchar* _tmp90_;
	gchar* _tmp91_;
	gchar** _tmp92_;
	gchar** _tmp93_;
	gint _tmp93__length1;
	GtkApplication* _tmp94_;
	GtkApplication* _tmp95_;
	gchar* _tmp96_;
	gchar** _tmp97_;
	gchar** _tmp98_;
	gint _tmp98__length1;
	GtkApplication* _tmp99_;
	GtkApplication* _tmp100_;
	gchar* _tmp101_;
	gchar* _tmp102_;
	gchar** _tmp103_;
	gchar** _tmp104_;
	gint _tmp104__length1;
	GtkApplication* _tmp105_;
	GtkApplication* _tmp106_;
	gchar* _tmp107_;
	gchar** _tmp108_;
	gchar** _tmp109_;
	gint _tmp109__length1;
	GtkApplication* _tmp110_;
	GtkApplication* _tmp111_;
	gchar* _tmp112_;
	gchar** _tmp113_;
	gchar** _tmp114_;
	gint _tmp114__length1;
	GtkApplication* _tmp115_;
	GtkApplication* _tmp116_;
	gchar* _tmp117_;
	gchar** _tmp118_;
	gchar** _tmp119_;
	gint _tmp119__length1;
	GtkApplication* _tmp120_;
	GtkApplication* _tmp121_;
	gchar* _tmp122_;
	gchar** _tmp123_;
	gchar** _tmp124_;
	gint _tmp124__length1;
	GtkApplication* _tmp125_;
	GtkApplication* _tmp126_;
	gchar* _tmp127_;
	gchar* _tmp128_;
	gchar** _tmp129_;
	gchar** _tmp130_;
	gint _tmp130__length1;
	GtkApplication* _tmp143_;
	GtkApplication* _tmp144_;
	gchar* _tmp145_;
	gchar* _tmp146_;
	gchar** _tmp147_;
	gchar** _tmp148_;
	gint _tmp148__length1;
	GtkApplication* _tmp149_;
	GtkApplication* _tmp150_;
	gchar* _tmp151_;
	gchar** _tmp152_;
	gchar** _tmp153_;
	gint _tmp153__length1;
	GtkApplication* _tmp154_;
	GtkApplication* _tmp155_;
	gchar* _tmp156_;
	gchar** _tmp157_;
	gchar** _tmp158_;
	gint _tmp158__length1;
	GtkMenuButton* _tmp159_;
	GtkApplication* _tmp160_;
	GtkApplication* _tmp161_;
	GMenu* _tmp162_;
	GtkApplication* _tmp163_;
	GtkApplication* _tmp164_;
	PeasExtensionSet* extensions = NULL;
	MidoriPlugins* _tmp165_;
	MidoriPlugins* _tmp166_;
	PeasExtensionSet* _tmp167_;
	PeasExtensionSet* _tmp168_;
	PeasExtensionSet* _tmp169_;
	PeasExtensionSet* _tmp170_;
	PeasExtensionSet* _tmp171_;
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = gtk_window_get_application ((GtkWindow*) self);
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _tmp0_;
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = g_strdup ("F10");
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = g_strdup ("<Alt>f");
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = g_new0 (gchar*, 2 + 1);
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_[0] = _tmp2_;
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_[1] = _tmp3_;
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = _tmp4_;
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5__length1 = 2;
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp1_, "win.compactmenu", _tmp5_);
#line 116 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = (_vala_array_free (_tmp5_, _tmp5__length1, (GDestroyNotify) g_free), NULL);
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = gtk_window_get_application ((GtkWindow*) self);
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = g_strdup ("F9");
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = g_new0 (gchar*, 1 + 1);
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_[0] = _tmp8_;
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = _tmp9_;
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10__length1 = 1;
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp7_, "win.panel", _tmp10_);
#line 117 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = (_vala_array_free (_tmp10_, _tmp10__length1, (GDestroyNotify) g_free), NULL);
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = gtk_window_get_application ((GtkWindow*) self);
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp12_ = _tmp11_;
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp13_ = g_strdup ("<Primary>t");
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp14_ = g_new0 (gchar*, 1 + 1);
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp14_[0] = _tmp13_;
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp15_ = _tmp14_;
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp15__length1 = 1;
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp12_, "win.tab-new", _tmp15_);
#line 118 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp15_ = (_vala_array_free (_tmp15_, _tmp15__length1, (GDestroyNotify) g_free), NULL);
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp16_ = gtk_window_get_application ((GtkWindow*) self);
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp17_ = _tmp16_;
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp18_ = g_strdup ("<Primary>w");
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp19_ = g_new0 (gchar*, 1 + 1);
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp19_[0] = _tmp18_;
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp20_ = _tmp19_;
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp20__length1 = 1;
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp17_, "win.tab-close", _tmp20_);
#line 119 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp20_ = (_vala_array_free (_tmp20_, _tmp20__length1, (GDestroyNotify) g_free), NULL);
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp21_ = gtk_window_get_application ((GtkWindow*) self);
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp22_ = _tmp21_;
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp23_ = g_strdup ("<Primary><Shift>w");
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp24_ = g_strdup ("<Primary>F4");
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp25_ = g_new0 (gchar*, 2 + 1);
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp25_[0] = _tmp23_;
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp25_[1] = _tmp24_;
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp26_ = _tmp25_;
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp26__length1 = 2;
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp22_, "win.close", _tmp26_);
#line 120 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp26_ = (_vala_array_free (_tmp26_, _tmp26__length1, (GDestroyNotify) g_free), NULL);
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp27_ = gtk_window_get_application ((GtkWindow*) self);
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp28_ = _tmp27_;
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp29_ = g_strdup ("<Primary><Shift>t");
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp30_ = g_new0 (gchar*, 1 + 1);
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp30_[0] = _tmp29_;
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31_ = _tmp30_;
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31__length1 = 1;
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp28_, "win.tab-reopen", _tmp31_);
#line 121 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31_ = (_vala_array_free (_tmp31_, _tmp31__length1, (GDestroyNotify) g_free), NULL);
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp32_ = gtk_window_get_application ((GtkWindow*) self);
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp33_ = _tmp32_;
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp34_ = g_strdup ("F11");
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp35_ = g_new0 (gchar*, 1 + 1);
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp35_[0] = _tmp34_;
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp36_ = _tmp35_;
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp36__length1 = 1;
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp33_, "win.fullscreen", _tmp36_);
#line 122 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp36_ = (_vala_array_free (_tmp36_, _tmp36__length1, (GDestroyNotify) g_free), NULL);
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp37_ = gtk_window_get_application ((GtkWindow*) self);
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp38_ = _tmp37_;
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp39_ = g_strdup ("<Primary><Shift>j");
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp40_ = g_new0 (gchar*, 1 + 1);
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp40_[0] = _tmp39_;
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp41_ = _tmp40_;
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp41__length1 = 1;
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp38_, "win.show-downloads", _tmp41_);
#line 123 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp41_ = (_vala_array_free (_tmp41_, _tmp41__length1, (GDestroyNotify) g_free), NULL);
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp42_ = gtk_window_get_application ((GtkWindow*) self);
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp43_ = _tmp42_;
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp44_ = g_strdup ("<Primary>f");
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp45_ = g_strdup ("slash");
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp46_ = g_new0 (gchar*, 2 + 1);
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp46_[0] = _tmp44_;
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp46_[1] = _tmp45_;
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp47_ = _tmp46_;
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp47__length1 = 2;
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp43_, "win.find", _tmp47_);
#line 124 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp47_ = (_vala_array_free (_tmp47_, _tmp47__length1, (GDestroyNotify) g_free), NULL);
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp48_ = gtk_window_get_application ((GtkWindow*) self);
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp49_ = _tmp48_;
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp50_ = g_strdup ("<Primary>u");
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp51_ = g_strdup ("<Primary><Alt>u");
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp52_ = g_new0 (gchar*, 2 + 1);
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp52_[0] = _tmp50_;
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp52_[1] = _tmp51_;
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp53_ = _tmp52_;
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp53__length1 = 2;
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp49_, "win.view-source", _tmp53_);
#line 125 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp53_ = (_vala_array_free (_tmp53_, _tmp53__length1, (GDestroyNotify) g_free), NULL);
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp54_ = gtk_window_get_application ((GtkWindow*) self);
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp55_ = _tmp54_;
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp56_ = g_strdup ("<Primary>p");
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp57_ = g_new0 (gchar*, 1 + 1);
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp57_[0] = _tmp56_;
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp58_ = _tmp57_;
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp58__length1 = 1;
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp55_, "win.print", _tmp58_);
#line 126 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp58_ = (_vala_array_free (_tmp58_, _tmp58__length1, (GDestroyNotify) g_free), NULL);
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp59_ = gtk_window_get_application ((GtkWindow*) self);
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp60_ = _tmp59_;
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp61_ = g_strdup ("F7");
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp62_ = g_new0 (gchar*, 1 + 1);
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp62_[0] = _tmp61_;
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp63_ = _tmp62_;
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp63__length1 = 1;
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp60_, "win.caret-browsing", _tmp63_);
#line 127 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp63_ = (_vala_array_free (_tmp63_, _tmp63__length1, (GDestroyNotify) g_free), NULL);
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp64_ = gtk_window_get_application ((GtkWindow*) self);
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp65_ = _tmp64_;
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp66_ = g_strdup ("<Primary><Shift>i");
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp67_ = g_new0 (gchar*, 1 + 1);
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp67_[0] = _tmp66_;
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp68_ = _tmp67_;
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp68__length1 = 1;
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp65_, "win.show-inspector", _tmp68_);
#line 128 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp68_ = (_vala_array_free (_tmp68_, _tmp68__length1, (GDestroyNotify) g_free), NULL);
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp69_ = gtk_window_get_application ((GtkWindow*) self);
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp70_ = _tmp69_;
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp71_ = g_strdup ("<Primary>l");
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp72_ = g_strdup ("F7");
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp73_ = g_new0 (gchar*, 2 + 1);
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp73_[0] = _tmp71_;
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp73_[1] = _tmp72_;
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp74_ = _tmp73_;
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp74__length1 = 2;
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp70_, "win.goto", _tmp74_);
#line 129 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp74_ = (_vala_array_free (_tmp74_, _tmp74__length1, (GDestroyNotify) g_free), NULL);
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp75_ = gtk_window_get_application ((GtkWindow*) self);
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp76_ = _tmp75_;
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp77_ = g_strdup ("<Alt>Left");
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp78_ = g_strdup ("BackSpace");
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp79_ = g_strdup ("Back");
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp80_ = g_new0 (gchar*, 3 + 1);
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp80_[0] = _tmp77_;
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp80_[1] = _tmp78_;
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp80_[2] = _tmp79_;
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp81_ = _tmp80_;
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp81__length1 = 3;
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp76_, "win.go-back", _tmp81_);
#line 130 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp81_ = (_vala_array_free (_tmp81_, _tmp81__length1, (GDestroyNotify) g_free), NULL);
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp82_ = gtk_window_get_application ((GtkWindow*) self);
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp83_ = _tmp82_;
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp84_ = g_strdup ("<Alt>Right");
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp85_ = g_strdup ("<Shift>BackSpace");
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp86_ = g_new0 (gchar*, 2 + 1);
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp86_[0] = _tmp84_;
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp86_[1] = _tmp85_;
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp87_ = _tmp86_;
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp87__length1 = 2;
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp83_, "win.go-forward", _tmp87_);
#line 131 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp87_ = (_vala_array_free (_tmp87_, _tmp87__length1, (GDestroyNotify) g_free), NULL);
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp88_ = gtk_window_get_application ((GtkWindow*) self);
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp89_ = _tmp88_;
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp90_ = g_strdup ("<Primary>r");
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp91_ = g_strdup ("F5");
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp92_ = g_new0 (gchar*, 2 + 1);
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp92_[0] = _tmp90_;
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp92_[1] = _tmp91_;
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp93_ = _tmp92_;
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp93__length1 = 2;
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp89_, "win.tab-reload", _tmp93_);
#line 132 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp93_ = (_vala_array_free (_tmp93_, _tmp93__length1, (GDestroyNotify) g_free), NULL);
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp94_ = gtk_window_get_application ((GtkWindow*) self);
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp95_ = _tmp94_;
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp96_ = g_strdup ("Escape");
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp97_ = g_new0 (gchar*, 1 + 1);
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp97_[0] = _tmp96_;
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp98_ = _tmp97_;
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp98__length1 = 1;
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp95_, "win.tab-stop-loading", _tmp98_);
#line 133 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp98_ = (_vala_array_free (_tmp98_, _tmp98__length1, (GDestroyNotify) g_free), NULL);
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp99_ = gtk_window_get_application ((GtkWindow*) self);
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp100_ = _tmp99_;
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp101_ = g_strdup ("<Alt>Home");
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp102_ = g_strdup ("HomePage");
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp103_ = g_new0 (gchar*, 2 + 1);
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp103_[0] = _tmp101_;
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp103_[1] = _tmp102_;
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp104_ = _tmp103_;
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp104__length1 = 2;
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp100_, "win.homepage", _tmp104_);
#line 134 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp104_ = (_vala_array_free (_tmp104_, _tmp104__length1, (GDestroyNotify) g_free), NULL);
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp105_ = gtk_window_get_application ((GtkWindow*) self);
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp106_ = _tmp105_;
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp107_ = g_strdup ("<Primary><Shift>Tab");
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp108_ = g_new0 (gchar*, 1 + 1);
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp108_[0] = _tmp107_;
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp109_ = _tmp108_;
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp109__length1 = 1;
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp106_, "win.tab-previous", _tmp109_);
#line 135 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp109_ = (_vala_array_free (_tmp109_, _tmp109__length1, (GDestroyNotify) g_free), NULL);
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp110_ = gtk_window_get_application ((GtkWindow*) self);
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp111_ = _tmp110_;
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp112_ = g_strdup ("<Primary>Tab");
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp113_ = g_new0 (gchar*, 1 + 1);
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp113_[0] = _tmp112_;
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp114_ = _tmp113_;
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp114__length1 = 1;
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp111_, "win.tab-next", _tmp114_);
#line 136 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp114_ = (_vala_array_free (_tmp114_, _tmp114__length1, (GDestroyNotify) g_free), NULL);
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp115_ = gtk_window_get_application ((GtkWindow*) self);
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp116_ = _tmp115_;
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp117_ = g_strdup ("<Primary><Shift>Delete");
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp118_ = g_new0 (gchar*, 1 + 1);
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp118_[0] = _tmp117_;
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp119_ = _tmp118_;
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp119__length1 = 1;
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp116_, "win.clear-private-data", _tmp119_);
#line 137 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp119_ = (_vala_array_free (_tmp119_, _tmp119__length1, (GDestroyNotify) g_free), NULL);
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp120_ = gtk_window_get_application ((GtkWindow*) self);
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp121_ = _tmp120_;
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp122_ = g_strdup ("<Primary><Alt>p");
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp123_ = g_new0 (gchar*, 1 + 1);
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp123_[0] = _tmp122_;
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp124_ = _tmp123_;
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp124__length1 = 1;
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp121_, "win.preferences", _tmp124_);
#line 138 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp124_ = (_vala_array_free (_tmp124_, _tmp124__length1, (GDestroyNotify) g_free), NULL);
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp125_ = gtk_window_get_application ((GtkWindow*) self);
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp126_ = _tmp125_;
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp127_ = g_strdup ("<Primary>F1");
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp128_ = g_strdup ("<Shift>question");
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp129_ = g_new0 (gchar*, 2 + 1);
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp129_[0] = _tmp127_;
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp129_[1] = _tmp128_;
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp130_ = _tmp129_;
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp130__length1 = 2;
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp126_, "win.show-help-overlay", _tmp130_);
#line 139 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp130_ = (_vala_array_free (_tmp130_, _tmp130__length1, (GDestroyNotify) g_free), NULL);
#line 5104 "browser.c"
	{
		gint i = 0;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		i = 0;
#line 5109 "browser.c"
		{
			gboolean _tmp131_ = FALSE;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp131_ = TRUE;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			while (TRUE) {
#line 5116 "browser.c"
				gint _tmp133_ = 0;
				gint _tmp134_ = 0;
				GtkApplication* _tmp135_;
				GtkApplication* _tmp136_;
				gchar* _tmp137_;
				gchar* _tmp138_;
				gchar* _tmp139_;
				gchar* _tmp140_;
				gchar** _tmp141_;
				gchar** _tmp142_;
				gint _tmp142__length1;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				if (!_tmp131_) {
#line 5130 "browser.c"
					gint _tmp132_;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp132_ = i;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					i = _tmp132_ + 1;
#line 5136 "browser.c"
				}
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp131_ = FALSE;
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				if (!(i < 10)) {
#line 141 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					break;
#line 5144 "browser.c"
				}
#line 143 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				if (i < 9) {
#line 143 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp133_ = i + 1;
#line 5150 "browser.c"
				} else {
#line 143 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp133_ = 0;
#line 5154 "browser.c"
				}
#line 143 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				if (i < 9) {
#line 143 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp134_ = i + 1;
#line 5160 "browser.c"
				} else {
#line 143 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp134_ = 0;
#line 5164 "browser.c"
				}
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp135_ = gtk_window_get_application ((GtkWindow*) self);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp136_ = _tmp135_;
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp137_ = g_strdup_printf ("win.tab-by-index(%d)", i);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp138_ = _tmp137_;
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp139_ = g_strdup_printf ("<Alt>%d", _tmp133_);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp140_ = g_strdup_printf ("<Primary>%d", _tmp134_);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp141_ = g_new0 (gchar*, 2 + 1);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp141_[0] = _tmp139_;
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp141_[1] = _tmp140_;
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp142_ = _tmp141_;
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp142__length1 = 2;
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				gtk_application_set_accels_for_action (_tmp136_, _tmp138_, _tmp142_);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp142_ = (_vala_array_free (_tmp142_, _tmp142__length1, (GDestroyNotify) g_free), NULL);
#line 142 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_g_free0 (_tmp138_);
#line 5194 "browser.c"
			}
		}
	}
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp143_ = gtk_window_get_application ((GtkWindow*) self);
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp144_ = _tmp143_;
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp145_ = g_strdup ("<Primary>plus");
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp146_ = g_strdup ("<Primary>equal");
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp147_ = g_new0 (gchar*, 2 + 1);
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp147_[0] = _tmp145_;
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp147_[1] = _tmp146_;
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp148_ = _tmp147_;
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp148__length1 = 2;
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp144_, "win.tab-zoom(0.1)", _tmp148_);
#line 145 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp148_ = (_vala_array_free (_tmp148_, _tmp148__length1, (GDestroyNotify) g_free), NULL);
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp149_ = gtk_window_get_application ((GtkWindow*) self);
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp150_ = _tmp149_;
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp151_ = g_strdup ("<Primary>minus");
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp152_ = g_new0 (gchar*, 1 + 1);
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp152_[0] = _tmp151_;
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp153_ = _tmp152_;
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp153__length1 = 1;
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp150_, "win.tab-zoom(-0.1)", _tmp153_);
#line 146 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp153_ = (_vala_array_free (_tmp153_, _tmp153__length1, (GDestroyNotify) g_free), NULL);
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp154_ = gtk_window_get_application ((GtkWindow*) self);
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp155_ = _tmp154_;
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp156_ = g_strdup ("<Primary>0");
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp157_ = g_new0 (gchar*, 1 + 1);
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp157_[0] = _tmp156_;
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp158_ = _tmp157_;
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp158__length1 = 1;
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_application_set_accels_for_action (_tmp155_, "win.tab-zoom(1.0)", _tmp158_);
#line 147 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp158_ = (_vala_array_free (_tmp158_, _tmp158__length1, (GDestroyNotify) g_free), NULL);
#line 149 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp159_ = self->priv->app_menu;
#line 149 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp160_ = gtk_window_get_application ((GtkWindow*) self);
#line 149 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp161_ = _tmp160_;
#line 149 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp162_ = gtk_application_get_menu_by_id (_tmp161_, "app-menu");
#line 149 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_menu_button_set_menu_model (_tmp159_, (GMenuModel*) _tmp162_);
#line 150 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GObject*) self, "notify::is-small", (GCallback) ___lambda75__g_object_notify, self, 0);
#line 184 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_notify ((GObject*) self, "is-small");
#line 186 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GObject*) self, "notify::zoom-level", (GCallback) ___lambda76__g_object_notify, self, 0);
#line 194 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp163_ = gtk_window_get_application ((GtkWindow*) self);
#line 194 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp164_ = _tmp163_;
#line 194 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_application_bind_busy_property ((GApplication*) _tmp164_, (GObject*) self, "is-loading");
#line 197 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp165_ = midori_plugins_get_default (NULL);
#line 197 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp166_ = _tmp165_;
#line 197 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp167_ = midori_plugins_plug (_tmp166_, MIDORI_TYPE_BROWSER_ACTIVATABLE, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, "browser", (GObject*) self);
#line 197 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp168_ = _tmp167_;
#line 197 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_tmp166_);
#line 197 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	extensions = _tmp168_;
#line 198 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp169_ = extensions;
#line 198 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp169_, "extension-added", (GCallback) ___lambda77__peas_extension_set_extension_added, self, 0);
#line 199 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp170_ = extensions;
#line 199 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp170_, "extension-removed", (GCallback) ___lambda78__peas_extension_set_extension_removed, self, 0);
#line 200 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp171_ = extensions;
#line 200 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	peas_extension_set_foreach (_tmp171_, ___lambda79__peas_extension_set_foreach_func, self);
#line 115 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (extensions);
#line 5304 "browser.c"
}

static void
__midori_browser___lambda74__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 115 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda74_ ((MidoriBrowser*) self, pspec);
#line 5314 "browser.c"
}

static void
_midori_browser_tab_by_index_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                 GVariant* parameter,
                                                                 gpointer self)
{
#line 205 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_by_index_activated ((MidoriBrowser*) self, _sender, parameter);
#line 5324 "browser.c"
}

static void
_midori_browser_tab_zoom_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                             GVariant* parameter,
                                                             gpointer self)
{
#line 209 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_zoom_activated ((MidoriBrowser*) self, _sender, parameter);
#line 5334 "browser.c"
}

static void
_midori_browser_tab_new_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                            GVariant* parameter,
                                                            gpointer self)
{
#line 213 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_new_activated ((MidoriBrowser*) self);
#line 5344 "browser.c"
}

static void
_midori_browser_show_downloads_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                   GVariant* parameter,
                                                                   gpointer self)
{
#line 217 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_show_downloads_activated ((MidoriBrowser*) self);
#line 5354 "browser.c"
}

static void
_midori_browser___lambda80_ (Block6Data* _data6_)
{
	MidoriBrowser* self;
	GSimpleAction* _tmp0_;
	MidoriDownloadButton* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 220 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data6_->self;
#line 221 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _data6_->show_downloads;
#line 221 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->downloads;
#line 221 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = gtk_widget_get_visible ((GtkWidget*) _tmp1_);
#line 221 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 221 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp0_, _tmp3_);
#line 5377 "browser.c"
}

static void
__midori_browser___lambda80__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 220 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda80_ (self);
#line 5387 "browser.c"
}

static void
_midori_browser_fullscreen_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                               GVariant* parameter,
                                                               gpointer self)
{
#line 224 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_fullscreen_activated ((MidoriBrowser*) self);
#line 5397 "browser.c"
}

static GVariant*
_variant_new12 (gboolean value)
{
#line 227 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return g_variant_ref_sink (g_variant_new_boolean (value));
#line 5405 "browser.c"
}

static void
_midori_browser_panel_activated_g_simple_action_change_state (GSimpleAction* _sender,
                                                              GVariant* value,
                                                              gpointer self)
{
#line 229 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_panel_activated ((MidoriBrowser*) self, _sender, value);
#line 5415 "browser.c"
}

static void
_midori_browser___lambda81_ (Block6Data* _data6_,
                             GtkWidget* widget)
{
	MidoriBrowser* self;
	GtkToggleButton* _tmp0_;
	GSimpleAction* _tmp1_;
#line 232 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data6_->self;
#line 233 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->panel_toggle;
#line 233 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_show ((GtkWidget*) _tmp0_);
#line 234 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _data6_->panel_action;
#line 234 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp1_, TRUE);
#line 5435 "browser.c"
}

static void
__midori_browser___lambda81__gtk_container_add (GtkContainer* _sender,
                                                GtkWidget* widget,
                                                gpointer self)
{
#line 232 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda81_ (self, widget);
#line 5445 "browser.c"
}

static void
_midori_browser_go_back_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                            GVariant* parameter,
                                                            gpointer self)
{
#line 238 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_go_back_activated ((MidoriBrowser*) self);
#line 5455 "browser.c"
}

static void
_midori_browser_go_forward_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                               GVariant* parameter,
                                                               gpointer self)
{
#line 241 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_go_forward_activated ((MidoriBrowser*) self);
#line 5465 "browser.c"
}

static void
_midori_browser___lambda82_ (Block6Data* _data6_)
{
	MidoriBrowser* self;
	GSimpleAction* _tmp0_;
	MidoriTab* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
	GSimpleAction* _tmp4_;
	MidoriTab* _tmp5_;
	gboolean _tmp6_;
	gboolean _tmp7_;
#line 243 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data6_->self;
#line 244 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _data6_->go_back;
#line 244 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->_tab;
#line 244 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = midori_tab_get_can_go_back (_tmp1_);
#line 244 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 244 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp0_, _tmp3_);
#line 245 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = _data6_->go_forward;
#line 245 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->priv->_tab;
#line 245 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = midori_tab_get_can_go_forward (_tmp5_);
#line 245 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 245 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp4_, _tmp7_);
#line 5502 "browser.c"
}

static void
__midori_browser___lambda82__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 243 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda82_ (self);
#line 5512 "browser.c"
}

static void
_midori_browser_tab_reload_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                               GVariant* parameter,
                                                               gpointer self)
{
#line 248 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_reload_activated ((MidoriBrowser*) self);
#line 5522 "browser.c"
}

static void
_midori_browser_tab_stop_loading_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                                     GVariant* parameter,
                                                                     gpointer self)
{
#line 251 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_tab_stop_loading_activated ((MidoriBrowser*) self);
#line 5532 "browser.c"
}

static void
_midori_browser___lambda83_ (Block6Data* _data6_)
{
	MidoriBrowser* self;
	GSimpleAction* _tmp0_;
	gboolean _tmp1_;
	GSimpleAction* _tmp2_;
	gboolean _tmp3_;
#line 253 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data6_->self;
#line 254 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_idle (self, FALSE);
#line 255 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _data6_->reload;
#line 255 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->priv->_is_loading;
#line 255 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp0_, !_tmp1_);
#line 256 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = _data6_->stop;
#line 256 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->_is_loading;
#line 256 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp2_, _tmp3_);
#line 5559 "browser.c"
}

static void
__midori_browser___lambda83__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 253 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda83_ (self);
#line 5569 "browser.c"
}

static void
_midori_browser_homepage_activated_g_simple_action_activate (GSimpleAction* _sender,
                                                             GVariant* parameter,
                                                             gpointer self)
{
#line 259 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_homepage_activated ((MidoriBrowser*) self);
#line 5579 "browser.c"
}

static void
_midori_browser___lambda84_ (Block6Data* _data6_)
{
	MidoriBrowser* self;
	GSimpleAction* _tmp0_;
	MidoriCoreSettings* _tmp1_;
	gboolean _tmp2_;
	gboolean _tmp3_;
#line 263 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = _data6_->self;
#line 264 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = _data6_->action;
#line 264 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _data6_->settings;
#line 264 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = midori_core_settings_get_homepage_in_toolbar (_tmp1_);
#line 264 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 264 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp0_, _tmp3_);
#line 5602 "browser.c"
}

static void
__midori_browser___lambda84__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 263 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda84_ (self);
#line 5612 "browser.c"
}

static glong
string_strnlen (gchar* str,
                glong maxlen)
{
	gchar* end = NULL;
	gchar* _tmp0_;
	gchar* _tmp1_;
	glong result;
#line 1455 "glib-2.0.vapi"
	_tmp0_ = memchr (str, 0, (gsize) maxlen);
#line 1455 "glib-2.0.vapi"
	end = _tmp0_;
#line 1456 "glib-2.0.vapi"
	_tmp1_ = end;
#line 1456 "glib-2.0.vapi"
	if (_tmp1_ == NULL) {
#line 1457 "glib-2.0.vapi"
		result = maxlen;
#line 1457 "glib-2.0.vapi"
		return result;
#line 5635 "browser.c"
	} else {
		gchar* _tmp2_;
#line 1459 "glib-2.0.vapi"
		_tmp2_ = end;
#line 1459 "glib-2.0.vapi"
		result = (glong) (_tmp2_ - str);
#line 1459 "glib-2.0.vapi"
		return result;
#line 5644 "browser.c"
	}
}

static gchar*
string_substring (const gchar* self,
                  glong offset,
                  glong len)
{
	glong string_length = 0L;
	gboolean _tmp0_ = FALSE;
	gchar* _tmp3_;
	gchar* result;
#line 1468 "glib-2.0.vapi"
	if (offset >= ((glong) 0)) {
#line 1468 "glib-2.0.vapi"
		_tmp0_ = len >= ((glong) 0);
#line 5661 "browser.c"
	} else {
#line 1468 "glib-2.0.vapi"
		_tmp0_ = FALSE;
#line 5665 "browser.c"
	}
#line 1468 "glib-2.0.vapi"
	if (_tmp0_) {
#line 1470 "glib-2.0.vapi"
		string_length = string_strnlen ((gchar*) self, offset + len);
#line 5671 "browser.c"
	} else {
		gint _tmp1_;
		gint _tmp2_;
#line 1472 "glib-2.0.vapi"
		_tmp1_ = strlen (self);
#line 1472 "glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1472 "glib-2.0.vapi"
		string_length = (glong) _tmp2_;
#line 5681 "browser.c"
	}
#line 1475 "glib-2.0.vapi"
	if (offset < ((glong) 0)) {
#line 1476 "glib-2.0.vapi"
		offset = string_length + offset;
#line 1477 "glib-2.0.vapi"
		g_return_val_if_fail (offset >= ((glong) 0), NULL);
#line 5689 "browser.c"
	} else {
#line 1479 "glib-2.0.vapi"
		g_return_val_if_fail (offset <= string_length, NULL);
#line 5693 "browser.c"
	}
#line 1481 "glib-2.0.vapi"
	if (len < ((glong) 0)) {
#line 1482 "glib-2.0.vapi"
		len = string_length - offset;
#line 5699 "browser.c"
	}
#line 1484 "glib-2.0.vapi"
	g_return_val_if_fail ((offset + len) <= string_length, NULL);
#line 1485 "glib-2.0.vapi"
	_tmp3_ = g_strndup (((gchar*) self) + offset, (gsize) len);
#line 1485 "glib-2.0.vapi"
	result = _tmp3_;
#line 1485 "glib-2.0.vapi"
	return result;
#line 5709 "browser.c"
}

static void
_midori_browser___lambda85_ (MidoriBrowser* self,
                             GParamSpec* pspec)
{
	gchar* uri = NULL;
	MidoriNavigationbar* _tmp0_;
	MidoriUrlbar* _tmp1_;
	const gchar* _tmp2_;
	const gchar* _tmp3_;
	gchar* _tmp4_;
	const gchar* _tmp5_;
#line 274 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->navigationbar;
#line 274 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _tmp0_->urlbar;
#line 274 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = midori_urlbar_get_uri (_tmp1_);
#line 274 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = _tmp2_;
#line 274 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 274 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	uri = _tmp4_;
#line 275 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = uri;
#line 275 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_str_has_prefix (_tmp5_, "javascript:")) {
#line 5739 "browser.c"
		MidoriTab* _tmp6_;
		const gchar* _tmp7_;
		gchar* _tmp8_;
		gchar* _tmp9_;
#line 276 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp6_ = self->priv->_tab;
#line 276 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp7_ = uri;
#line 276 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp8_ = string_substring (_tmp7_, (glong) 11, (glong) -1);
#line 276 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = _tmp8_;
#line 276 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		webkit_web_view_run_javascript ((WebKitWebView*) _tmp6_, _tmp9_, NULL, NULL, NULL);
#line 276 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_free0 (_tmp9_);
#line 5756 "browser.c"
	} else {
		const gchar* _tmp10_;
		MidoriTab* _tmp11_;
		const gchar* _tmp12_;
		const gchar* _tmp13_;
#line 277 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = uri;
#line 277 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = self->priv->_tab;
#line 277 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = midori_tab_get_display_uri (_tmp11_);
#line 277 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = _tmp12_;
#line 277 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (g_strcmp0 (_tmp10_, _tmp13_) != 0) {
#line 5772 "browser.c"
			MidoriTab* _tmp14_;
			const gchar* _tmp15_;
#line 278 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp14_ = self->priv->_tab;
#line 278 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp15_ = uri;
#line 278 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			webkit_web_view_load_uri ((WebKitWebView*) _tmp14_, _tmp15_);
#line 5781 "browser.c"
		}
	}
#line 273 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (uri);
#line 5786 "browser.c"
}

static void
__midori_browser___lambda85__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 273 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda85_ ((MidoriBrowser*) self, pspec);
#line 5796 "browser.c"
}

static gboolean
___lambda87_ (MidoriBrowser* self)
{
	MidoriTab* _tmp0_;
	const gchar* _tmp1_ = NULL;
	MidoriTab* _tmp2_;
	WebKitFindController* _tmp3_;
	const gchar* _tmp4_;
	GtkSearchEntry* _tmp5_;
	GtkSearchBar* _tmp6_;
	GtkSearchEntry* _tmp7_;
	const gchar* _tmp8_;
	const gchar* _tmp9_;
	MidoriNavigationbar* _tmp10_;
	MidoriUrlbar* _tmp11_;
	gboolean _tmp12_;
	gboolean _tmp13_;
	gboolean result;
#line 314 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->focus_timeout = (guint) 0;
#line 315 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->_tab;
#line 315 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp0_);
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = self->priv->_tab;
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = webkit_web_view_get_find_controller ((WebKitWebView*) _tmp2_);
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = webkit_find_controller_get_search_text (_tmp3_);
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = _tmp4_;
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp1_ == NULL) {
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = "";
#line 5835 "browser.c"
	}
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->priv->search_entry;
#line 316 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_entry_set_text ((GtkEntry*) _tmp5_, _tmp1_);
#line 317 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = self->priv->search;
#line 317 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = self->priv->search_entry;
#line 317 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = gtk_entry_get_text ((GtkEntry*) _tmp7_);
#line 317 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = _tmp8_;
#line 317 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_set (_tmp6_, "search-mode-enabled", g_strcmp0 (_tmp9_, "") != 0, NULL);
#line 318 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = self->priv->navigationbar;
#line 318 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = _tmp10_->urlbar;
#line 318 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp12_ = midori_urlbar_get_blank (_tmp11_);
#line 318 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp13_ = _tmp12_;
#line 318 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp13_) {
#line 5861 "browser.c"
		MidoriNavigationbar* _tmp14_;
		MidoriUrlbar* _tmp15_;
#line 319 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = self->priv->navigationbar;
#line 319 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = _tmp14_->urlbar;
#line 319 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_grab_focus ((GtkWidget*) _tmp15_);
#line 5870 "browser.c"
	}
#line 321 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	result = G_SOURCE_REMOVE;
#line 321 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 5876 "browser.c"
}

static gboolean
____lambda87__gsource_func (gpointer self)
{
	gboolean result;
	result = ___lambda87_ ((MidoriBrowser*) self);
#line 313 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return result;
#line 5886 "browser.c"
}

static void
_midori_browser___lambda86_ (MidoriBrowser* self)
{
	GList* _tmp0_;
	GtkStack* _tmp5_;
	GtkWidget* _tmp6_;
	GtkWidget* _tmp7_;
	MidoriTab* _tmp8_;
#line 282 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->priv->bindings;
#line 282 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp0_ != NULL) {
#line 5901 "browser.c"
		GList* _tmp1_;
#line 283 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp1_ = self->priv->bindings;
#line 5905 "browser.c"
		{
			GList* binding_collection = NULL;
			GList* binding_it = NULL;
#line 283 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			binding_collection = _tmp1_;
#line 283 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			for (binding_it = binding_collection; binding_it != NULL; binding_it = binding_it->next) {
#line 5913 "browser.c"
				GBinding* _tmp2_;
				GBinding* binding = NULL;
#line 283 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				_tmp2_ = _g_object_ref0 ((GBinding*) binding_it->data);
#line 283 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
				binding = _tmp2_;
#line 5920 "browser.c"
				{
					GBinding* _tmp3_;
					GBinding* _tmp4_;
#line 284 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp3_ = binding;
#line 284 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_tmp4_ = _g_object_ref0 (_tmp3_);
#line 284 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					g_binding_unbind (_tmp4_);
#line 283 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
					_g_object_unref0 (binding);
#line 5932 "browser.c"
				}
			}
		}
	}
#line 287 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = self->tabs;
#line 287 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = gtk_stack_get_visible_child (_tmp5_);
#line 287 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _tmp6_;
#line 287 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_tab (self, G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, MIDORI_TYPE_TAB, MidoriTab));
#line 288 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = self->priv->_tab;
#line 288 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp8_ != NULL) {
#line 5949 "browser.c"
		MidoriNavigationbar* _tmp9_;
		MidoriUrlbar* _tmp10_;
		MidoriTab* _tmp11_;
		gdouble _tmp12_;
		gdouble _tmp13_;
		MidoriTab* _tmp14_;
		const gchar* _tmp15_;
		const gchar* _tmp16_;
		MidoriTab* _tmp17_;
		const gchar* _tmp18_;
		const gchar* _tmp19_;
		MidoriNavigationbar* _tmp20_;
		MidoriUrlbar* _tmp21_;
		MidoriTab* _tmp22_;
		gboolean _tmp23_;
		gboolean _tmp24_;
		MidoriStatusbar* _tmp25_;
		MidoriTab* _tmp26_;
		const gchar* _tmp27_;
		const gchar* _tmp28_;
		MidoriNavigationbar* _tmp29_;
		MidoriUrlbar* _tmp30_;
		MidoriTab* _tmp31_;
		const gchar* _tmp32_;
		const gchar* _tmp33_;
		GtkButton* _tmp34_;
		MidoriTab* _tmp35_;
		gboolean _tmp36_;
		gboolean _tmp37_;
		MidoriNavigationbar* _tmp38_;
		MidoriTab* _tmp39_;
		gboolean _tmp40_;
		gboolean _tmp41_;
		MidoriTab* _tmp42_;
		MidoriNavigationbar* _tmp43_;
		GtkButton* _tmp44_;
		GBinding* _tmp45_;
		GBinding* _tmp46_;
		MidoriTab* _tmp47_;
		MidoriNavigationbar* _tmp48_;
		GtkButton* _tmp49_;
		GBinding* _tmp50_;
		GBinding* _tmp51_;
		MidoriTab* _tmp52_;
		GBinding* _tmp53_;
		GBinding* _tmp54_;
		MidoriTab* _tmp55_;
		MidoriNavigationbar* _tmp56_;
		MidoriUrlbar* _tmp57_;
		GBinding* _tmp58_;
		GBinding* _tmp59_;
		MidoriTab* _tmp60_;
		GBinding* _tmp61_;
		GBinding* _tmp62_;
		MidoriTab* _tmp63_;
		GBinding* _tmp64_;
		GBinding* _tmp65_;
		MidoriTab* _tmp66_;
		MidoriNavigationbar* _tmp67_;
		MidoriUrlbar* _tmp68_;
		GBinding* _tmp69_;
		GBinding* _tmp70_;
		MidoriTab* _tmp71_;
		MidoriStatusbar* _tmp72_;
		GBinding* _tmp73_;
		GBinding* _tmp74_;
		MidoriTab* _tmp75_;
		MidoriNavigationbar* _tmp76_;
		MidoriUrlbar* _tmp77_;
		GBinding* _tmp78_;
		GBinding* _tmp79_;
		MidoriTab* _tmp80_;
		GtkButton* _tmp81_;
		GBinding* _tmp82_;
		GBinding* _tmp83_;
		MidoriTab* _tmp84_;
		MidoriNavigationbar* _tmp85_;
		GBinding* _tmp86_;
		GBinding* _tmp87_;
		MidoriTab* _tmp88_;
		GBinding* _tmp89_;
		GBinding* _tmp90_;
#line 289 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp9_ = self->priv->navigationbar;
#line 289 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp10_ = _tmp9_->urlbar;
#line 289 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp11_ = self->priv->_tab;
#line 289 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp12_ = midori_tab_get_progress (_tmp11_);
#line 289 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp13_ = _tmp12_;
#line 289 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_entry_set_progress_fraction ((GtkEntry*) _tmp10_, _tmp13_);
#line 290 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp14_ = self->priv->_tab;
#line 290 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp15_ = midori_tab_get_display_uri (_tmp14_);
#line 290 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp16_ = _tmp15_;
#line 290 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_uri (self, _tmp16_);
#line 291 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp17_ = self->priv->_tab;
#line 291 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp18_ = midori_tab_get_display_title (_tmp17_);
#line 291 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp19_ = _tmp18_;
#line 291 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_window_set_title ((GtkWindow*) self, _tmp19_);
#line 292 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp20_ = self->priv->navigationbar;
#line 292 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp21_ = _tmp20_->urlbar;
#line 292 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp22_ = self->priv->_tab;
#line 292 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp23_ = midori_tab_get_secure (_tmp22_);
#line 292 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp24_ = _tmp23_;
#line 292 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_urlbar_set_secure (_tmp21_, _tmp24_);
#line 293 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp25_ = self->statusbar;
#line 293 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp26_ = self->priv->_tab;
#line 293 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp27_ = midori_tab_get_link_uri (_tmp26_);
#line 293 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp28_ = _tmp27_;
#line 293 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_statusbar_set_label (_tmp25_, _tmp28_);
#line 294 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp29_ = self->priv->navigationbar;
#line 294 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp30_ = _tmp29_->urlbar;
#line 294 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp31_ = self->priv->_tab;
#line 294 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp32_ = midori_tab_get_display_uri (_tmp31_);
#line 294 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp33_ = _tmp32_;
#line 294 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_urlbar_set_uri (_tmp30_, _tmp33_);
#line 295 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp34_ = self->priv->toggle_fullscreen;
#line 295 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp35_ = self->priv->_tab;
#line 295 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp36_ = midori_tab_get_pinned (_tmp35_);
#line 295 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp37_ = _tmp36_;
#line 295 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp34_, !_tmp37_);
#line 296 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp38_ = self->priv->navigationbar;
#line 296 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp39_ = self->priv->_tab;
#line 296 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp40_ = midori_tab_get_pinned (_tmp39_);
#line 296 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp41_ = _tmp40_;
#line 296 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_widget_set_visible ((GtkWidget*) _tmp38_, !_tmp41_);
#line 297 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp42_ = self->priv->_tab;
#line 297 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp43_ = self->priv->navigationbar;
#line 297 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp44_ = _tmp43_->reload;
#line 297 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp45_ = g_object_bind_property_with_closures ((GObject*) _tmp42_, "is-loading", (GObject*) _tmp44_, "visible", G_BINDING_SYNC_CREATE | G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 297 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp46_ = _g_object_ref0 (_tmp45_);
#line 297 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp46_);
#line 298 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp47_ = self->priv->_tab;
#line 298 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp48_ = self->priv->navigationbar;
#line 298 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp49_ = _tmp48_->stop_loading;
#line 298 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp50_ = g_object_bind_property_with_closures ((GObject*) _tmp47_, "is-loading", (GObject*) _tmp49_, "visible", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 298 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp51_ = _g_object_ref0 (_tmp50_);
#line 298 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp51_);
#line 299 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp52_ = self->priv->_tab;
#line 299 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp53_ = g_object_bind_property_with_closures ((GObject*) _tmp52_, "is-loading", (GObject*) self, "is-loading", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 299 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp54_ = _g_object_ref0 (_tmp53_);
#line 299 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp54_);
#line 300 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp55_ = self->priv->_tab;
#line 300 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp56_ = self->priv->navigationbar;
#line 300 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp57_ = _tmp56_->urlbar;
#line 300 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp58_ = g_object_bind_property_with_closures ((GObject*) _tmp55_, "progress", (GObject*) _tmp57_, "progress-fraction", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 300 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp59_ = _g_object_ref0 (_tmp58_);
#line 300 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp59_);
#line 301 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp60_ = self->priv->_tab;
#line 301 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp61_ = g_object_bind_property_with_closures ((GObject*) _tmp60_, "display-title", (GObject*) self, "title", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 301 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp62_ = _g_object_ref0 (_tmp61_);
#line 301 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp62_);
#line 302 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp63_ = self->priv->_tab;
#line 302 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp64_ = g_object_bind_property_with_closures ((GObject*) _tmp63_, "display-uri", (GObject*) self, "uri", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 302 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp65_ = _g_object_ref0 (_tmp64_);
#line 302 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp65_);
#line 303 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp66_ = self->priv->_tab;
#line 303 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp67_ = self->priv->navigationbar;
#line 303 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp68_ = _tmp67_->urlbar;
#line 303 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp69_ = g_object_bind_property_with_closures ((GObject*) _tmp66_, "secure", (GObject*) _tmp68_, "secure", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 303 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp70_ = _g_object_ref0 (_tmp69_);
#line 303 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp70_);
#line 304 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp71_ = self->priv->_tab;
#line 304 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp72_ = self->statusbar;
#line 304 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp73_ = g_object_bind_property_with_closures ((GObject*) _tmp71_, "link-uri", (GObject*) _tmp72_, "label", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 304 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp74_ = _g_object_ref0 (_tmp73_);
#line 304 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp74_);
#line 305 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp75_ = self->priv->_tab;
#line 305 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp76_ = self->priv->navigationbar;
#line 305 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp77_ = _tmp76_->urlbar;
#line 305 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp78_ = g_object_bind_property_with_closures ((GObject*) _tmp75_, "display-uri", (GObject*) _tmp77_, "uri", G_BINDING_DEFAULT, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 305 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp79_ = _g_object_ref0 (_tmp78_);
#line 305 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp79_);
#line 306 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp80_ = self->priv->_tab;
#line 306 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp81_ = self->priv->toggle_fullscreen;
#line 306 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp82_ = g_object_bind_property_with_closures ((GObject*) _tmp80_, "pinned", (GObject*) _tmp81_, "visible", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 306 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp83_ = _g_object_ref0 (_tmp82_);
#line 306 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp83_);
#line 307 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp84_ = self->priv->_tab;
#line 307 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp85_ = self->priv->navigationbar;
#line 307 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp86_ = g_object_bind_property_with_closures ((GObject*) _tmp84_, "pinned", (GObject*) _tmp85_, "visible", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 307 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp87_ = _g_object_ref0 (_tmp86_);
#line 307 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp87_);
#line 308 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp88_ = self->priv->_tab;
#line 308 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp89_ = g_object_bind_property_with_closures ((GObject*) _tmp88_, "zoom-level", (GObject*) self, "zoom-level", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 308 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp90_ = _g_object_ref0 (_tmp89_);
#line 308 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->bindings = g_list_append (self->priv->bindings, _tmp90_);
#line 309 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (self->priv->focus_timeout > ((guint) 0)) {
#line 310 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			g_source_remove (self->priv->focus_timeout);
#line 311 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			self->priv->focus_timeout = (guint) 0;
#line 6242 "browser.c"
		}
#line 313 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		self->priv->focus_timeout = g_timeout_add_full (G_PRIORITY_LOW, (guint) 500, ____lambda87__gsource_func, g_object_ref (self), g_object_unref);
#line 6246 "browser.c"
	} else {
		GtkWidget* previous_tab = NULL;
		GtkStack* _tmp91_;
		GList* _tmp92_;
		GList* _tmp93_;
		gconstpointer _tmp94_;
		GtkWidget* _tmp95_;
		GtkWidget* _tmp96_;
		GtkWidget* _tmp97_;
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp91_ = self->tabs;
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp92_ = gtk_container_get_children ((GtkContainer*) _tmp91_);
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp93_ = _tmp92_;
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp94_ = g_list_nth_data (_tmp93_, (guint) 0);
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp95_ = _g_object_ref0 ((GtkWidget*) _tmp94_);
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp96_ = _tmp95_;
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		(_tmp93_ == NULL) ? NULL : (_tmp93_ = (g_list_free (_tmp93_), NULL));
#line 324 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		previous_tab = _tmp96_;
#line 325 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp97_ = previous_tab;
#line 325 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (_tmp97_ == NULL) {
#line 326 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			gtk_window_close ((GtkWindow*) self);
#line 6278 "browser.c"
		} else {
			GtkWidget* _tmp98_;
#line 328 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			_tmp98_ = previous_tab;
#line 328 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			midori_browser_set_tab (self, G_TYPE_CHECK_INSTANCE_CAST (_tmp98_, MIDORI_TYPE_TAB, MidoriTab));
#line 6285 "browser.c"
		}
#line 288 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (previous_tab);
#line 6289 "browser.c"
	}
}

static void
__midori_browser___lambda86__g_object_notify (GObject* _sender,
                                              GParamSpec* pspec,
                                              gpointer self)
{
#line 281 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda86_ ((MidoriBrowser*) self);
#line 6300 "browser.c"
}

static void
_midori_browser_find_text_gtk_entry_activate (GtkEntry* _sender,
                                              gpointer self)
{
#line 332 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_find_text ((MidoriBrowser*) self);
#line 6309 "browser.c"
}

static void
_midori_browser_find_text_gtk_search_entry_search_changed (GtkSearchEntry* _sender,
                                                           gpointer self)
{
#line 333 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_find_text ((MidoriBrowser*) self);
#line 6318 "browser.c"
}

static void
_midori_browser_find_text_gtk_search_entry_next_match (GtkSearchEntry* _sender,
                                                       gpointer self)
{
#line 334 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_find_text ((MidoriBrowser*) self);
#line 6327 "browser.c"
}

static void
_midori_browser___lambda88_ (MidoriBrowser* self)
{
#line 336 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_find_text_backwards (self, TRUE);
#line 6335 "browser.c"
}

static void
__midori_browser___lambda88__gtk_search_entry_previous_match (GtkSearchEntry* _sender,
                                                              gpointer self)
{
#line 335 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser___lambda88_ ((MidoriBrowser*) self);
#line 6344 "browser.c"
}

static void
_midori_browser____lambda89_ (MidoriBrowser* self,
                              GParamSpec* pspec)
{
#line 371 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_update_decoration_layout (self);
#line 6353 "browser.c"
}

static void
__midori_browser____lambda89__g_object_notify (GObject* _sender,
                                               GParamSpec* pspec,
                                               gpointer self)
{
#line 370 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_midori_browser____lambda89_ ((MidoriBrowser*) self, pspec);
#line 6363 "browser.c"
}

static GObject *
midori_browser_constructor (GType type,
                            guint n_construct_properties,
                            GObjectConstructParam * construct_properties)
{
	GObject * obj;
	GObjectClass * parent_class;
	MidoriBrowser * self;
	Block6Data* _data6_;
	GtkOverlay* _tmp0_;
	GtkOverlay* _tmp1_;
	GtkOverlay* _tmp2_;
	MidoriNavigationbar* _tmp3_;
	MidoriUrlbar* _tmp4_;
	const GVariantType* _tmp5_;
	GSimpleAction* _tmp6_;
	GSimpleAction* _tmp7_;
	GSimpleAction* _tmp8_;
	const GVariantType* _tmp9_;
	GSimpleAction* _tmp10_;
	GSimpleAction* _tmp11_;
	GSimpleAction* _tmp12_;
	GSimpleAction* _tmp13_;
	GSimpleAction* _tmp14_;
	GSimpleAction* _tmp15_;
	GSimpleAction* _tmp16_;
	gboolean _tmp17_;
	GSimpleAction* _tmp18_;
	GSimpleAction* _tmp19_;
	GSimpleAction* _tmp20_;
	GSimpleAction* _tmp21_;
	MidoriDownloadButton* _tmp22_;
	GSimpleAction* fullscreen = NULL;
	GSimpleAction* _tmp23_;
	GSimpleAction* _tmp24_;
	GSimpleAction* _tmp25_;
	GVariant* _tmp26_;
	GSimpleAction* _tmp27_;
	GSimpleAction* _tmp28_;
	GSimpleAction* _tmp29_;
	GSimpleAction* _tmp30_;
	GSimpleAction* _tmp31_;
	GtkStack* _tmp32_;
	GSimpleAction* _tmp33_;
	GSimpleAction* _tmp34_;
	GSimpleAction* _tmp35_;
	GSimpleAction* _tmp36_;
	GSimpleAction* _tmp37_;
	GSimpleAction* _tmp38_;
	GSimpleAction* _tmp39_;
	GSimpleAction* _tmp40_;
	GSimpleAction* _tmp41_;
	GSimpleAction* _tmp42_;
	GSimpleAction* _tmp43_;
	GSimpleAction* _tmp44_;
	GSimpleAction* _tmp45_;
	GSimpleAction* _tmp46_;
	GSimpleAction* _tmp47_;
	MidoriCoreSettings* _tmp48_;
	GSimpleAction* _tmp49_;
	MidoriCoreSettings* _tmp50_;
	gboolean _tmp51_;
	gboolean _tmp52_;
	MidoriCoreSettings* _tmp53_;
	GListStore* _tmp54_;
	GListStore* _tmp55_;
	GtkButton* _tmp56_;
	GtkBox* _tmp57_;
	MidoriNavigationbar* _tmp58_;
	GtkBox* _tmp59_;
	GtkSearchBar* _tmp60_;
	GtkSearchBar* _tmp61_;
	MidoriNavigationbar* _tmp62_;
	MidoriUrlbar* _tmp63_;
	GtkStack* _tmp64_;
	GtkSearchEntry* _tmp65_;
	GtkSearchEntry* _tmp66_;
	GtkSearchEntry* _tmp67_;
	GtkSearchEntry* _tmp68_;
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp69_;
	GtkCssProvider* _tmp70_;
	GdkScreen* _tmp71_;
	GtkCssProvider* _tmp72_;
	gboolean use_headerbar = FALSE;
	const gchar* _tmp73_;
	const gchar* _tmp74_;
	GtkSettings* _tmp76_;
	GtkSettings* _tmp77_;
	gboolean _tmp78_;
	gboolean _tmp79_;
	MidoriDownloadButton* _tmp97_;
	WebKitWebContext* _tmp98_;
	WebKitWebContext* _tmp99_;
	gboolean _tmp101_ = FALSE;
	MidoriCoreSettings* _tmp102_;
	gint _tmp103_;
	gint _tmp104_;
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	parent_class = G_OBJECT_CLASS (midori_browser_parent_class);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MIDORI_TYPE_BROWSER, MidoriBrowser);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->_ref_count_ = 1;
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->self = g_object_ref (self);
#line 87 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = self->overlay;
#line 87 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_add_events ((GtkWidget*) _tmp0_, (gint) (GDK_ENTER_NOTIFY_MASK | GDK_POINTER_MOTION_MASK));
#line 88 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp1_ = self->overlay;
#line 88 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GtkWidget*) _tmp1_, "enter-notify-event", (GCallback) __midori_browser___lambda71__gtk_widget_enter_notify_event, self, 0);
#line 102 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp2_ = self->overlay;
#line 102 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GtkWidget*) _tmp2_, "motion-notify-event", (GCallback) __midori_browser___lambda72__gtk_widget_motion_notify_event, self, 0);
#line 106 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp3_ = self->priv->navigationbar;
#line 106 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp4_ = _tmp3_->urlbar;
#line 106 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GtkWidget*) _tmp4_, "focus-out-event", (GCallback) __midori_browser___lambda73__gtk_widget_focus_out_event, self, 0);
#line 113 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action_entries ((GActionMap*) self, MIDORI_BROWSER_actions, (gint) G_N_ELEMENTS (MIDORI_BROWSER_actions), self);
#line 115 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GObject*) self, "notify::application", (GCallback) __midori_browser___lambda74__g_object_notify, self, 0);
#line 204 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp5_ = G_VARIANT_TYPE_INT32;
#line 204 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp6_ = g_simple_action_new ("tab-by-index", _tmp5_);
#line 204 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->action = _tmp6_;
#line 205 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp7_ = _data6_->action;
#line 205 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp7_, "activate", (GCallback) _midori_browser_tab_by_index_activated_g_simple_action_activate, self, 0);
#line 206 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp8_ = _data6_->action;
#line 206 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp8_);
#line 208 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp9_ = G_VARIANT_TYPE_DOUBLE;
#line 208 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp10_ = g_simple_action_new ("tab-zoom", _tmp9_);
#line 208 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data6_->action);
#line 208 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->action = _tmp10_;
#line 209 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp11_ = _data6_->action;
#line 209 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp11_, "activate", (GCallback) _midori_browser_tab_zoom_activated_g_simple_action_activate, self, 0);
#line 210 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp12_ = _data6_->action;
#line 210 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp12_);
#line 212 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp13_ = g_simple_action_new ("tab-new", NULL);
#line 212 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data6_->action);
#line 212 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->action = _tmp13_;
#line 213 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp14_ = _data6_->action;
#line 213 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp14_, "activate", (GCallback) _midori_browser_tab_new_activated_g_simple_action_activate, self, 0);
#line 214 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp15_ = _data6_->action;
#line 214 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp15_);
#line 215 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp16_ = _data6_->action;
#line 215 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp17_ = self->priv->_is_locked;
#line 215 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp16_, !_tmp17_);
#line 216 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp18_ = g_simple_action_new ("show-downloads", NULL);
#line 216 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->show_downloads = _tmp18_;
#line 217 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp19_ = _data6_->show_downloads;
#line 217 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp19_, "activate", (GCallback) _midori_browser_show_downloads_activated_g_simple_action_activate, self, 0);
#line 218 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp20_ = _data6_->show_downloads;
#line 218 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp20_);
#line 219 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp21_ = _data6_->show_downloads;
#line 219 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp21_, FALSE);
#line 220 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp22_ = self->priv->downloads;
#line 220 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((GObject*) _tmp22_, "notify::visible", (GCallback) __midori_browser___lambda80__g_object_notify, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 223 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp23_ = g_simple_action_new ("fullscreen", NULL);
#line 223 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	fullscreen = _tmp23_;
#line 224 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp24_ = fullscreen;
#line 224 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp24_, "activate", (GCallback) _midori_browser_fullscreen_activated_g_simple_action_activate, self, 0);
#line 225 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp25_ = fullscreen;
#line 225 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp25_);
#line 227 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp26_ = _variant_new12 (FALSE);
#line 227 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp27_ = g_simple_action_new_stateful ("panel", NULL, _tmp26_);
#line 227 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp28_ = _tmp27_;
#line 227 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_variant_unref0 (_tmp26_);
#line 227 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->panel_action = _tmp28_;
#line 228 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp29_ = _data6_->panel_action;
#line 228 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp29_, FALSE);
#line 229 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp30_ = _data6_->panel_action;
#line 229 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp30_, "change-state", (GCallback) _midori_browser_panel_activated_g_simple_action_change_state, self, 0);
#line 230 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp31_ = _data6_->panel_action;
#line 230 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp31_);
#line 232 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp32_ = self->priv->panel;
#line 232 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((GtkContainer*) _tmp32_, "add", (GCallback) __midori_browser___lambda81__gtk_container_add, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 237 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp33_ = g_simple_action_new ("go-back", NULL);
#line 237 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->go_back = _tmp33_;
#line 238 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp34_ = _data6_->go_back;
#line 238 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp34_, "activate", (GCallback) _midori_browser_go_back_activated_g_simple_action_activate, self, 0);
#line 239 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp35_ = _data6_->go_back;
#line 239 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp35_);
#line 240 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp36_ = g_simple_action_new ("go-forward", NULL);
#line 240 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->go_forward = _tmp36_;
#line 241 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp37_ = _data6_->go_back;
#line 241 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp37_, "activate", (GCallback) _midori_browser_go_forward_activated_g_simple_action_activate, self, 0);
#line 242 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp38_ = _data6_->go_forward;
#line 242 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp38_);
#line 243 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((GObject*) self, "notify::uri", (GCallback) __midori_browser___lambda82__g_object_notify, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 247 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp39_ = g_simple_action_new ("tab-reload", NULL);
#line 247 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->reload = _tmp39_;
#line 248 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp40_ = _data6_->reload;
#line 248 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp40_, "activate", (GCallback) _midori_browser_tab_reload_activated_g_simple_action_activate, self, 0);
#line 249 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp41_ = _data6_->reload;
#line 249 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp41_);
#line 250 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp42_ = g_simple_action_new ("tab-stop-loading", NULL);
#line 250 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->stop = _tmp42_;
#line 251 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp43_ = _data6_->stop;
#line 251 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp43_, "activate", (GCallback) _midori_browser_tab_stop_loading_activated_g_simple_action_activate, self, 0);
#line 252 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp44_ = _data6_->stop;
#line 252 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp44_);
#line 253 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((GObject*) self, "notify::is-loading", (GCallback) __midori_browser___lambda83__g_object_notify, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 258 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp45_ = g_simple_action_new ("homepage", NULL);
#line 258 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_data6_->action);
#line 258 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->action = _tmp45_;
#line 259 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp46_ = _data6_->action;
#line 259 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp46_, "activate", (GCallback) _midori_browser_homepage_activated_g_simple_action_activate, self, 0);
#line 260 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp47_ = _data6_->action;
#line 260 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_action_map_add_action ((GActionMap*) self, (GAction*) _tmp47_);
#line 261 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp48_ = midori_core_settings_get_default ();
#line 261 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_->settings = _tmp48_;
#line 262 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp49_ = _data6_->action;
#line 262 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp50_ = _data6_->settings;
#line 262 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp51_ = midori_core_settings_get_homepage_in_toolbar (_tmp50_);
#line 262 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp52_ = _tmp51_;
#line 262 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_simple_action_set_enabled (_tmp49_, _tmp52_);
#line 263 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp53_ = _data6_->settings;
#line 263 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_data ((GObject*) _tmp53_, "notify::homepage-in-toolbar", (GCallback) __midori_browser___lambda84__g_object_notify, block6_data_ref (_data6_), (GClosureNotify) block6_data_unref, 0);
#line 267 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp54_ = g_list_store_new (MIDORI_TYPE_DATABASE_ITEM);
#line 267 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp55_ = _tmp54_;
#line 267 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_set_trash (self, _tmp55_);
#line 267 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (_tmp55_);
#line 269 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp56_ = self->priv->tab_new;
#line 269 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_bind_property_with_closures ((GObject*) self, "is-locked", (GObject*) _tmp56_, "visible", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 270 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp57_ = self->priv->actionbox;
#line 270 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_bind_property_with_closures ((GObject*) self, "is-small", (GObject*) _tmp57_, "visible", G_BINDING_SYNC_CREATE | G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 271 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp58_ = self->priv->navigationbar;
#line 271 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp59_ = _tmp58_->actionbox;
#line 271 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_bind_property_with_closures ((GObject*) self, "is-small", (GObject*) _tmp59_, "visible", G_BINDING_SYNC_CREATE | G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 272 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp60_ = self->priv->search;
#line 272 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp61_ = self->priv->search;
#line 272 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_bind_property_with_closures ((GObject*) _tmp60_, "search-mode-enabled", (GObject*) _tmp61_, "visible", G_BINDING_SYNC_CREATE, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 273 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp62_ = self->priv->navigationbar;
#line 273 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp63_ = _tmp62_->urlbar;
#line 273 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GObject*) _tmp63_, "notify::uri", (GCallback) __midori_browser___lambda85__g_object_notify, self, 0);
#line 281 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp64_ = self->tabs;
#line 281 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GObject*) _tmp64_, "notify::visible-child", (GCallback) __midori_browser___lambda86__g_object_notify, self, 0);
#line 332 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp65_ = self->priv->search_entry;
#line 332 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object ((GtkEntry*) _tmp65_, "activate", (GCallback) _midori_browser_find_text_gtk_entry_activate, self, 0);
#line 333 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp66_ = self->priv->search_entry;
#line 333 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp66_, "search-changed", (GCallback) _midori_browser_find_text_gtk_search_entry_search_changed, self, 0);
#line 334 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp67_ = self->priv->search_entry;
#line 334 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp67_, "next-match", (GCallback) _midori_browser_find_text_gtk_search_entry_next_match, self, 0);
#line 335 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp68_ = self->priv->search_entry;
#line 335 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_signal_connect_object (_tmp68_, "previous-match", (GCallback) __midori_browser___lambda88__gtk_search_entry_previous_match, self, 0);
#line 339 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp69_ = gtk_css_provider_new ();
#line 339 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	provider = _tmp69_;
#line 340 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp70_ = provider;
#line 340 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_css_provider_load_from_resource (_tmp70_, "/data/gtk3.css");
#line 341 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp71_ = gtk_window_get_screen ((GtkWindow*) self);
#line 341 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp72_ = provider;
#line 341 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_style_context_add_provider_for_screen (_tmp71_, (GtkStyleProvider*) _tmp72_, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 345 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp73_ = g_getenv ("XDG_CURRENT_DESKTOP");
#line 345 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	use_headerbar = g_regex_match_simple ("budgie|gnome|pantheon", _tmp73_, G_REGEX_CASELESS, G_REGEX_MATCH_NOTEMPTY);
#line 348 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp74_ = g_getenv ("GTK_CSD");
#line 348 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (g_strcmp0 (_tmp74_, "1") == 0) {
#line 349 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		use_headerbar = TRUE;
#line 6768 "browser.c"
	} else {
		const gchar* _tmp75_;
#line 350 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp75_ = g_getenv ("GTK_CSD");
#line 350 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		if (g_strcmp0 (_tmp75_, "0") == 0) {
#line 351 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
			use_headerbar = FALSE;
#line 6777 "browser.c"
		}
	}
#line 353 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp76_ = gtk_widget_get_settings ((GtkWidget*) self);
#line 353 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_set (_tmp76_, "gtk-dialogs-use-header", use_headerbar, NULL);
#line 356 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp77_ = gtk_widget_get_settings ((GtkWidget*) self);
#line 356 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_get (_tmp77_, "gtk-dialogs-use-header", &_tmp78_, NULL);
#line 356 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp79_ = _tmp78_;
#line 356 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (!_tmp79_) {
#line 6792 "browser.c"
		GtkWidget* titlebar = NULL;
		GtkWidget* _tmp80_;
		GtkWidget* _tmp81_;
		GtkWidget* _tmp82_;
		GtkHeaderBar* _tmp83_;
		GtkHeaderBar* _tmp84_;
		GtkHeaderBar* _tmp85_;
		GtkBox* box = NULL;
		GtkWidget* _tmp86_;
		GtkBox* _tmp87_;
		GtkBox* _tmp88_;
		GtkWidget* _tmp89_;
		GtkBox* _tmp90_;
		GtkWidget* _tmp91_;
		GtkWidget* _tmp92_;
		GtkWidget* _tmp93_;
		GtkWidget* _tmp94_;
		GtkStyleContext* _tmp95_;
#line 357 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp80_ = gtk_window_get_titlebar ((GtkWindow*) self);
#line 357 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp81_ = _g_object_ref0 (_tmp80_);
#line 357 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		titlebar = _tmp81_;
#line 358 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp82_ = titlebar;
#line 358 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_ref ((GObject*) _tmp82_);
#line 359 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_window_set_titlebar ((GtkWindow*) self, NULL);
#line 360 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp83_ = self->priv->panelbar;
#line 360 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_header_bar_set_show_close_button (_tmp83_, FALSE);
#line 361 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp84_ = self->priv->tabbar;
#line 361 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_header_bar_set_show_close_button (_tmp84_, FALSE);
#line 362 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp85_ = self->priv->tabbar;
#line 362 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_bind_property_with_closures ((GObject*) self, "is-locked", (GObject*) _tmp85_, "visible", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 363 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp86_ = gtk_bin_get_child ((GtkBin*) self);
#line 363 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp87_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp86_, gtk_box_get_type ()) ? ((GtkBox*) _tmp86_) : NULL);
#line 363 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		box = _tmp87_;
#line 364 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp88_ = box;
#line 364 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp89_ = titlebar;
#line 364 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_container_add ((GtkContainer*) _tmp88_, _tmp89_);
#line 365 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp90_ = box;
#line 365 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp91_ = titlebar;
#line 365 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_box_reorder_child (_tmp90_, _tmp91_, 0);
#line 366 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp92_ = titlebar;
#line 366 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_bind_property_with_closures ((GObject*) self, "is-fullscreen", (GObject*) _tmp92_, "visible", G_BINDING_INVERT_BOOLEAN, (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)), (GClosure*) ((NULL == NULL) ? NULL : g_cclosure_new ((GCallback) NULL, NULL, (GClosureNotify) NULL)));
#line 367 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp93_ = titlebar;
#line 367 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_unref ((GObject*) _tmp93_);
#line 368 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp94_ = titlebar;
#line 368 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp95_ = gtk_widget_get_style_context (_tmp94_);
#line 368 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_style_context_remove_class (_tmp95_, "titlebar");
#line 356 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (box);
#line 356 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_g_object_unref0 (titlebar);
#line 6871 "browser.c"
	} else {
		GtkSettings* _tmp96_;
#line 370 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp96_ = gtk_settings_get_default ();
#line 370 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_signal_connect_object ((GObject*) _tmp96_, "notify::gtk-decoration-layout", (GCallback) __midori_browser____lambda89__g_object_notify, self, 0);
#line 373 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_update_decoration_layout (self);
#line 6880 "browser.c"
	}
#line 376 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp97_ = self->priv->downloads;
#line 376 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp98_ = self->priv->_web_context;
#line 376 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_download_button_set_web_context (_tmp97_, _tmp98_);
#line 377 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp99_ = self->priv->_web_context;
#line 377 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (webkit_web_context_is_ephemeral (_tmp99_)) {
#line 6892 "browser.c"
		GtkStyleContext* _tmp100_;
#line 378 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp100_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 378 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		gtk_style_context_add_class (_tmp100_, "incognito");
#line 6898 "browser.c"
	}
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp102_ = _data6_->settings;
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp103_ = midori_core_settings_get_last_window_width (_tmp102_);
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp104_ = _tmp103_;
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp104_ > 0) {
#line 6908 "browser.c"
		MidoriCoreSettings* _tmp105_;
		gint _tmp106_;
		gint _tmp107_;
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp105_ = _data6_->settings;
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp106_ = midori_core_settings_get_last_window_height (_tmp105_);
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp107_ = _tmp106_;
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp101_ = _tmp107_ > 0;
#line 6920 "browser.c"
	} else {
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp101_ = FALSE;
#line 6924 "browser.c"
	}
#line 381 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	if (_tmp101_) {
#line 6928 "browser.c"
		MidoriCoreSettings* _tmp108_;
		gint _tmp109_;
		gint _tmp110_;
		MidoriCoreSettings* _tmp111_;
		gint _tmp112_;
		gint _tmp113_;
#line 382 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp108_ = _data6_->settings;
#line 382 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp109_ = midori_core_settings_get_last_window_width (_tmp108_);
#line 382 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp110_ = _tmp109_;
#line 382 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set ((GtkWindow*) self, "default-width", _tmp110_, NULL);
#line 383 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp111_ = _data6_->settings;
#line 383 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp112_ = midori_core_settings_get_last_window_height (_tmp111_);
#line 383 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		_tmp113_ = _tmp112_;
#line 383 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_object_set ((GtkWindow*) self, "default-height", _tmp113_, NULL);
#line 6951 "browser.c"
	}
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (provider);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (fullscreen);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	block6_data_unref (_data6_);
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_data6_ = NULL;
#line 86 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	return obj;
#line 6963 "browser.c"
}

static void
midori_browser_class_init (MidoriBrowserClass * klass,
                           gpointer klass_data)
{
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_parent_class = g_type_class_peek_parent (klass);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_type_class_adjust_private_offset (klass, &MidoriBrowser_private_offset);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	((GtkWidgetClass *) klass)->configure_event = (gboolean (*) (GtkWidget*, GdkEventConfigure*)) midori_browser_real_configure_event;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	((GtkWidgetClass *) klass)->key_press_event = (gboolean (*) (GtkWidget*, GdkEventKey*)) midori_browser_real_key_press_event;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_midori_browser_get_property;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_midori_browser_set_property;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_OBJECT_CLASS (klass)->constructor = midori_browser_constructor;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_OBJECT_CLASS (klass)->finalize = midori_browser_finalize;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_WEB_CONTEXT_PROPERTY, midori_browser_properties[MIDORI_BROWSER_WEB_CONTEXT_PROPERTY] = g_param_spec_object ("web-context", "web-context", "web-context", webkit_web_context_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_IDLE_PROPERTY, midori_browser_properties[MIDORI_BROWSER_IDLE_PROPERTY] = g_param_spec_boolean ("idle", "idle", "idle", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_IS_LOADING_PROPERTY, midori_browser_properties[MIDORI_BROWSER_IS_LOADING_PROPERTY] = g_param_spec_boolean ("is-loading", "is-loading", "is-loading", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_URI_PROPERTY, midori_browser_properties[MIDORI_BROWSER_URI_PROPERTY] = g_param_spec_string ("uri", "uri", "uri", NULL, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_TAB_PROPERTY, midori_browser_properties[MIDORI_BROWSER_TAB_PROPERTY] = g_param_spec_object ("tab", "tab", "tab", MIDORI_TYPE_TAB, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_TRASH_PROPERTY, midori_browser_properties[MIDORI_BROWSER_TRASH_PROPERTY] = g_param_spec_object ("trash", "trash", "trash", g_list_store_get_type (), G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_IS_FULLSCREEN_PROPERTY, midori_browser_properties[MIDORI_BROWSER_IS_FULLSCREEN_PROPERTY] = g_param_spec_boolean ("is-fullscreen", "is-fullscreen", "is-fullscreen", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_IS_LOCKED_PROPERTY, midori_browser_properties[MIDORI_BROWSER_IS_LOCKED_PROPERTY] = g_param_spec_boolean ("is-locked", "is-locked", "is-locked", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE | G_PARAM_CONSTRUCT));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_IS_SMALL_PROPERTY, midori_browser_properties[MIDORI_BROWSER_IS_SMALL_PROPERTY] = g_param_spec_boolean ("is-small", "is-small", "is-small", FALSE, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), MIDORI_BROWSER_ZOOM_LEVEL_PROPERTY, midori_browser_properties[MIDORI_BROWSER_ZOOM_LEVEL_PROPERTY] = g_param_spec_double ("zoom-level", "zoom-level", "zoom-level", -G_MAXDOUBLE, G_MAXDOUBLE, (gdouble) 1.0f, G_PARAM_STATIC_STRINGS | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_set_template_from_resource (GTK_WIDGET_CLASS (klass), "/ui/browser.ui");
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	midori_browser_signals[MIDORI_BROWSER_DEFAULT_TAB_SIGNAL] = g_signal_new ("default-tab", MIDORI_TYPE_BROWSER, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_user_marshal_BOOLEAN__VOID, G_TYPE_BOOLEAN, 0);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "panelbar", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, panelbar));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "panel", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, panel));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tabbar", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, tabbar));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "actionbox", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, actionbox));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "panel_toggle", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, panel_toggle));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "downloads", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, downloads));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tab_new", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, tab_new));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "toggle_fullscreen", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, toggle_fullscreen));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "app_menu", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, app_menu));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "navigationbar", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, navigationbar));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "tabs", FALSE, G_STRUCT_OFFSET (MidoriBrowser, tabs));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "overlay", FALSE, G_STRUCT_OFFSET (MidoriBrowser, overlay));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "statusbar", FALSE, G_STRUCT_OFFSET (MidoriBrowser, statusbar));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "search", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, search));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_class_bind_template_child_full (GTK_WIDGET_CLASS (klass), "search_entry", FALSE, MidoriBrowser_private_offset + G_STRUCT_OFFSET (MidoriBrowserPrivate, search_entry));
#line 7040 "browser.c"
}

static void
midori_browser_instance_init (MidoriBrowser * self,
                              gpointer klass)
{
	GMenu* _tmp0_;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv = midori_browser_get_instance_private (self);
#line 22 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->_idle = FALSE;
#line 23 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->_is_loading = FALSE;
#line 27 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->_is_fullscreen = FALSE;
#line 28 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->_is_locked = FALSE;
#line 29 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->_is_small = FALSE;
#line 30 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_tmp0_ = g_menu_new ();
#line 30 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->zoom_menu = _tmp0_;
#line 31 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->_zoom_level = (gdouble) 1.0f;
#line 84 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self->priv->focus_timeout = (guint) 0;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_type_ensure (MIDORI_TYPE_DOWNLOAD_BUTTON);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_type_ensure (MIDORI_TYPE_NAVIGATIONBAR);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	g_type_ensure (MIDORI_TYPE_STATUSBAR);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	gtk_widget_init_template (GTK_WIDGET (self));
#line 7076 "browser.c"
}

static void
midori_browser_finalize (GObject * obj)
{
	MidoriBrowser * self;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, MIDORI_TYPE_BROWSER, MidoriBrowser);
#line 21 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (self->priv->_web_context);
#line 24 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_free0 (self->priv->_uri);
#line 25 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (self->priv->_tab);
#line 26 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (self->priv->_trash);
#line 30 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	_g_object_unref0 (self->priv->zoom_menu);
#line 83 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	(self->priv->bindings == NULL) ? NULL : (self->priv->bindings = (_g_list_free__g_object_unref0_ (self->priv->bindings), NULL));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	G_OBJECT_CLASS (midori_browser_parent_class)->finalize (obj);
#line 7099 "browser.c"
}

static GType
midori_browser_get_type_once (void)
{
	static const GTypeInfo g_define_type_info = { sizeof (MidoriBrowserClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) midori_browser_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (MidoriBrowser), 0, (GInstanceInitFunc) midori_browser_instance_init, NULL };
	GType midori_browser_type_id;
	midori_browser_type_id = g_type_register_static (gtk_application_window_get_type (), "MidoriBrowser", &g_define_type_info, 0);
	MidoriBrowser_private_offset = g_type_add_instance_private (midori_browser_type_id, sizeof (MidoriBrowserPrivate));
	return midori_browser_type_id;
}

GType
midori_browser_get_type (void)
{
	static volatile gsize midori_browser_type_id__once = 0;
	if (g_once_init_enter (&midori_browser_type_id__once)) {
		GType midori_browser_type_id;
		midori_browser_type_id = midori_browser_get_type_once ();
		g_once_init_leave (&midori_browser_type_id__once, midori_browser_type_id);
	}
	return midori_browser_type_id__once;
}

static void
_vala_midori_browser_get_property (GObject * object,
                                   guint property_id,
                                   GValue * value,
                                   GParamSpec * pspec)
{
	MidoriBrowser * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_BROWSER, MidoriBrowser);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	switch (property_id) {
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_WEB_CONTEXT_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_object (value, midori_browser_get_web_context (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IDLE_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_boolean (value, midori_browser_get_idle (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_LOADING_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_boolean (value, midori_browser_get_is_loading (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_URI_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_string (value, midori_browser_get_uri (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_TAB_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_object (value, midori_browser_get_tab (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_TRASH_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_object (value, midori_browser_get_trash (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_FULLSCREEN_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_boolean (value, midori_browser_get_is_fullscreen (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_LOCKED_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_boolean (value, midori_browser_get_is_locked (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_SMALL_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_boolean (value, midori_browser_get_is_small (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_ZOOM_LEVEL_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		g_value_set_double (value, midori_browser_get_zoom_level (self));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 7194 "browser.c"
		default:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 7200 "browser.c"
	}
}

static void
_vala_midori_browser_set_property (GObject * object,
                                   guint property_id,
                                   const GValue * value,
                                   GParamSpec * pspec)
{
	MidoriBrowser * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, MIDORI_TYPE_BROWSER, MidoriBrowser);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
	switch (property_id) {
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_WEB_CONTEXT_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_web_context (self, g_value_get_object (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IDLE_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_idle (self, g_value_get_boolean (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_LOADING_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_is_loading (self, g_value_get_boolean (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_URI_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_uri (self, g_value_get_string (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_TAB_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_tab (self, g_value_get_object (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_TRASH_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_trash (self, g_value_get_object (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_FULLSCREEN_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_is_fullscreen (self, g_value_get_boolean (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_LOCKED_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_is_locked (self, g_value_get_boolean (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_IS_SMALL_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_is_small (self, g_value_get_boolean (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		case MIDORI_BROWSER_ZOOM_LEVEL_PROPERTY:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		midori_browser_set_zoom_level (self, g_value_get_double (value));
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 7274 "browser.c"
		default:
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 20 "/builddir/build/BUILD/midori-v9.0/core/browser.vala"
		break;
#line 7280 "browser.c"
	}
}

static void
_vala_array_destroy (gpointer array,
                     gssize array_length,
                     GDestroyNotify destroy_func)
{
	if ((array != NULL) && (destroy_func != NULL)) {
		gssize i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}

static void
_vala_array_free (gpointer array,
                  gssize array_length,
                  GDestroyNotify destroy_func)
{
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}

static gssize
_vala_array_length (gpointer array)
{
	gssize length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}

static inline gpointer
_vala_memdup2 (gconstpointer mem,
               gsize byte_size)
{
	gpointer new_mem;
	if (mem && byte_size != 0) {
		new_mem = g_malloc (byte_size);
		memcpy (new_mem, mem, byte_size);
	} else {
		new_mem = NULL;
	}
	return new_mem;
}

